#delimit;
capture log close;
log using do/calcon,replace;
*************************************************************;
*                                                           *;
*    Name    : CALCON                                       *;
*    OBJECTIVE: Create a calorie conversion file            *;
*               (based on Carlo's work on Bulgaria)         *;
*                                                           *;
*************************************************************;
clear;
set more 1;

use fdquant;

sort fooditem;
qui by fooditem: keep if _n==1;

gen calcon=0;
lab var calcon "Calorie conversion";

replace calcon= 3510 if fooditem==101;
replace calcon= 3530 if fooditem==102;
replace calcon= 0.9*2225 if fooditem==103;*sm. loaf is 900g;
replace calcon= 1.4*2225 if fooditem==104;*lg. loaf is 1400g;
replace calcon= 3730 if fooditem==105;
replace calcon= 3510 if fooditem==106;
replace calcon= 2700 if fooditem==107;

replace calcon= 3030 if fooditem==201;
replace calcon=  722 if fooditem==202;

replace calcon=  243 if fooditem==301;
replace calcon=  230 if fooditem==302;
replace calcon=  203 if fooditem==303;
replace calcon=  423 if fooditem==304;
replace calcon=  203 if fooditem==305;*used eggplant for olives -- fix;
replace calcon=  265 if fooditem==306;


replace calcon=  199 if fooditem==406;
replace calcon=  115 if fooditem==407;
replace calcon=  601 if fooditem==410;*what is difference?;
replace calcon=  601 if fooditem==411;

replace calcon=  492 if fooditem==501;
replace calcon=  634 if fooditem==502; ** used stewed fruit for canned fruit;
replace calcon= 2700 if fooditem==503; ** used fruit syrup for jams;
replace calcon= 3360 if fooditem==504; 

replace calcon= 1027 if fooditem==601;
replace calcon= 1783 if fooditem==603;
replace calcon= 1296 if fooditem==604; ** used fowl for chicken;
replace calcon= 3515 if fooditem==605;
replace calcon= 86 if fooditem==606; ** per egg - assuming 1032/kilo;
replace calcon= 2032 if fooditem==608;
replace calcon= 2216 if fooditem==610;

replace calcon=  814 if fooditem==701;
replace calcon=  814 if fooditem==702;
replace calcon= 1815 if fooditem==703;

replace calcon=  618 if fooditem==801; **used cow's milk for fresh milk;
replace calcon= 3000 if fooditem==802; **used cheese;
replace calcon=  527 if fooditem==804; 
replace calcon= 4980 if fooditem==805; 
replace calcon=  527 if fooditem==806; **used yoghurt;

replace calcon= 8060 if fooditem==901; 
replace calcon= 8556 if fooditem==902; **unit is litre not kg;
replace calcon= 8556 if fooditem==904; **used edible oil for olive oil;
replace calcon= 8556 if fooditem==905; **used edible oil for veg. oil;
replace calcon= 9270 if fooditem==906; **used grease for lard;

replace calcon= 4100 if fooditem==1102;
replace calcon=    0 if fooditem==1103;
replace calcon=    0 if fooditem==1104;
replace calcon=    0 if fooditem==1105;

replace calcon=  570 if fooditem==1201;
replace calcon=  570 if fooditem==1202;
replace calcon= 2240 if fooditem==1206; **70 cal/fl. oz., 32 fl. oz. per l;

keep fooditem calcon;
save kcalfd, replace;

log close;
