#delimit ;
cap log close;
log using do\chldsub,replace;
*************************************************************;
*                                                           *;
*    Name     : CHLDSUB.DO                                  *;
*    OBJECTIVE: Extract info on households with children    *;
*                                                           *;
*************************************************************;
clear;
set more 1;
set log linesize 160;
set display linesize 160;

***get info on household from roster;
use sec011;
keep hhnum pcode age gender;

gen bashki=int(hhnum/10000);
gen a=hhnum-(bashki*10000);
gen sector=int(a/100);
gen hhold=a-sector*100;
drop a;

label define bashki
1       "Bogove"
2       "Vendres"
3       "Arras"
4       "Fushe M"
5       "Kastrio"
6       "Luzni e"
7       "Maqella"
8       "Qender"
9       "Zall Da"
10      "Klos"
11      "Mucukull"
12      "Ostren"
13      "Shupenz"
14      "Cudhi"
15      "Paper"
16      "Gjinar"
17      "Kokovjat"
18      "Lenie"
19      "Prenjas"
20      "Qukes"
21      "Sterblev"
22      "Mbrosta"
23      "Luftinje"
24      "Cerrave"
25      "Velcan"
26      "Pirg"
27      "Bicaj"
28      "Bushtric"
29      "Kolsh"
30      "Malzi"
31      "Shishtav"
32      "Terthore"
33      "Ujemisht"
34      "Fajze"
35      "Mamurra"
36      "Sellte"
37      "Kacinar"
38      "Lac"
39      "Postrlb"
40      "Rrethin"
41      "Pult"
42      "Flerze"
43      "Fushe a"
44      "Kastrat"
45      "lballe"
46      "Kashar"
47      "Vaqar"
48      "Zall Bas"
49      "Vranish"
50      "Orenje"
;
label value bashki bashki;

gen a=0;
replace a=1 if age>0 & age<=5;
egen byte all0_5=sum(a), by(hhnum);
drop a;

label var all0_5 "# children aged 0 to 5";
label var bashki "Commune/bashki";
label var sector "Village/neighborhood";

gen str4 age_m="    ";
gen str4 height="    ";
gen str4 weight="    ";
gen str4 name="    ";

keep if age>0 & age<=5;

sort bashki sector hhold;
label data "chldsub: subset of hholds";
order bashki sector hhold hhnum pcode name gender age age_m height weight all0_5;

save chldsub, replace;
*list if _n<=20, nodisplay;
list, nodisplay;

log close;
