#delimit;
clear;
set more 1;

*set maxvar 13  width  29 ;
infile using dic\sec00.dic, using(j:\datahous\rawdata\alban01.raw);
label define   nointerv
1       "Noinfo"
2       "Migrated"
3       "Refusal"
4       "Incomple"
5       "Other"
;
label value   nointerv nointerv;
label data "sec00: coverpage";
sort hhnum;
save sec00,replace;
clear;

*set maxvar 17  width  25 ;
infile using dic\sec011.dic, using(j:\datahous\rawdata\alban02.raw);
label define   relation
1       "Head"
2       "Spouse"
3       "Son/dau"
4       "Parent"
5       "Sibling"
6       "StepSonD"
7       "StepFatM"
8       "GrandChi"
9       "GrandPar"
10      "FathInLa"
11      "SonInLaw"
12      "SistInLa"
13      "NephNie"
14      "UncleUn"
15      "Cousin"
16      "ORelativ"
17      "ChiOFami"
18      "ONonRela"
19      "Renter"
;
label value   relation   relation;
label define   gender
1       "Male"
2       "Female"
;
label value   gender   gender;
label define   civil
1       "Married"
2       "Divorvce"
3       "Widow"
4       "Nevermar"
;
label value   civil   civil;
label define   moved
1       "Yes"
0       "No"
;
label value   moved   moved;
label define   absent
1       "Yes"
0       "No"
;
label value   absent   absent;
label define   absreas
1       "Work out"
2       "Work Alb"
3       "Study"
4       "Vacation"
5       "Institut"
6       "Soldier"
7       "Other"
;
label value   absreas   absreas;
label define   present
1       "Yes"
0       "No"
;
label value   present   present;
label data "sec011: household roster";
sort hhnum pcode;
save sec011,replace;
clear;

*set maxvar 14  width  22 ;
infile using dic\sec012.dic, using(j:\datahous\rawdata\alban03.raw);
label define relamig
1      "Head    "
2      "Spose   "
3      "Son/dau "
4      "Parent  "
5      "Sibling "
6      "StepSonD"
7      "StepFatM"
8      "GrandChi"
9      "GrandPar"
10      "FathInLa"
11      "SonInLaw"
12      "SistInLa"
13      "NephNie "
14      "UncleUn "
15      "Cousin  "
16      "ORelativ"
17      "ChiOFami"
18      "ONonRela"
19      "Renter  "
;
label value relamig relamig;
label define   gendermi
1       "Male"
2       "Female"
;
label value gendermi gendermi;
label define reasonmi
1       "Death   "
2       "Marriage"
3       "New_Hh  "
4       "School  "
5       "Other   "
;
label value reasonmi reasonmi;
label define placemig
1       "Commune "
2       "Albania "
3       "Abroad  "
;
label value placemig placemig;
label data "sec012: former household members";
sort hhnum pcode;
save sec012,replace;
clear;

*set maxvar 8  width  16 ;
infile using dic\sec02.dic, using(j:\datahous\rawdata\alban04.raw);
label define edulevel
0       "Noread  "
1       "Read    "
2       "Creche  "
3       "Prescho "
4       "Element "
5       "Middle  "
6       "Second  "
7       "Technic "
8       "Postvoc "
9       "Universi"
;
label value edulevel edulevel;
label define educlast
1       "Yes     "
0       "No      "
;
label value educlast educlast;
label data "sec02: education";
sort hhnum pcode;
save sec02,replace;
clear;

*set maxvar 12  width  21 ;
infile using dic\sec031.dic, using(j:\datahous\rawdata\alban05.raw);
label define working7
1       "Yes     "
0       "No      "
;
label value working7 working7;
label define notwork
1       "Sick    "
2       "Maternit"
3       "Vacation"
4       "Notseaso"
5       "Company "
6       "Other   "
;
label value notwork notwork;
label define mainwork
1       "Permanen"
2       "TempNoc "
3       "TempCont"
4       "Business"
5       "Farm    "
6       "HelpOut "
;
label value mainwork mainwork;
label define lookwork
1       "Yes     "
0       "No      "
;
label value lookwork lookwork;
label define notlook
1      "Nojob   "
2      "Sick    "
3      "Disabled"
4      "Chicare "
5      "Educatio"
6      "Housekee"
7      "Pension "
8      "Building"
9      "Other   "
10      "HappyJob"
;
label value notlook notlook;
label data "sec031: status of employment";
sort hhnum pcode;
save sec031,replace;
clear;

*set maxvar 15  width  25 ;
infile using dic\sec032.dic, using(j:\datahous\rawdata\alban06.raw);
label define lookmeth
1       "Laboffic"
2       "Applicat"
3       "Ads     "
4       "Tofirms "
5       "Intermed"
6       "Friends "
7       "Other   "
;
label value lookmeth lookmeth;
label define accmove
1       "Yes     "
0       "No      "
;
label value accmove accmove;
label define labregis
1       "Yes     "
0       "No      "
;
label value labregis labregis;
label define labbenef
1       "Yes     "
0       "No      "
;
label value labbenef labbenef;
label define anywork
1       "Yes     "
0       "No      "
;
label value anywork anywork;
label data "sec032: those currently looking";
sort hhnum pcode;
save sec032,replace;
clear;

*set maxvar 18  width  28 ;
infile using dic\sec033.dic, using(j:\datahous\rawdata\alban07.raw);
label define difjobe1
1       "Yes     "
0       "No      "
;
label value difjobe1 difjobe1;
label define joptype1
1      "StateTem"
2      "StatePer"
3      "PriTemp "
4      "PriPerm "
5      "CoopTemp"
6      "CoopPer "
7      "FriRela "
8      "Business"
9      "Farm    "
10      "Casual  "
11      "Student "
12      "HomeMake"
13      "Military"
14      "Pensione"
15      "Unemploy"
16      "Other   "
;
label value joptype1 joptype1;
label define jobstpe1
1      "Layoff  "
2      "Fired   "
3      "BetterPu"
4      "Betterpr"
5      "Business"
6      "School  "
7      "Home    "
8      "Military"
9      "Retired "
10      "LeaveVol"
11      "JobEnd  "
12      "Other   "
;
label value jobstpe1 jobstpe1;
label define otherjob
1       "Yes     "
0       "No      "
;
label value otherjob otherjob;
label define othertyp
1      "StateTem"
2      "StatePer"
3      "PriTemp "
4      "PriPerm "
5      "CoopTemp"
6      "CoopPer "
7      "FriRela "
8      "Business"
9      "Farm    "
10      "Casual  "
11      "Student "
12      "HomeMake"
13      "Military"
14      "Pensione"
15      "Unemploy"
16      "Other   "
;
label value othertyp othertyp;
label define otherstp
1      "Layoff  "
2      "Fired   "
3      "BetterPu"
4      "Betterpr"
5      "Business"
6      "School  "
7      "Home    "
8      "Military"
9      "Retired "
10      "LeaveVol"
11      "JobEnd  "
12      "Other   "
;
label value otherstp otherstp;
label data "sec033: history of employment";
sort hhnum pcode;
save sec033,replace;
clear;

*set maxvar 9  width  17 ;
infile using dic\sec034a.dic, using(j:\datahous\rawdata\alban08.raw);
label data "sec034a: training and public works";
sort hhnum pcode;
save sec034a,replace;
clear;

*set maxvar 9  width  17 ;
infile using dic\sec034b.dic, using(j:\datahous\rawdata\alban09.raw);
label define train96
1       "Govern't"
2       "Private "
3       "Both    "
;
label value train96 train96;
label define train95
1       "Govern't"
2       "Private "
3       "Both    "
;
label value train95 train95;
label define train94
1       "Govern't"
2       "Private "
3       "Both    "
;
label value train94 train94;
label define train93
1       "Govern't"
2       "Private "
3       "Both    "
;
label value train93 train93;
label data "sec034b: training and public works";
sort hhnum pcode;
save sec034b,replace;
clear;

*set maxvar 20  width  31 ;
infile using dic\sec041.dic, using(j:\datahous\rawdata\alban10.raw);
label define w1sector
1      "Manufa  "
2      "Constr  "
3      "Agricul "
4      "Forest  "
5      "Transpor"
6      "Communic"
7      "Trade   "
8      "Commerci"
9      "OProduct"
10      "ScieEduc"
11      "Culture "
12      "Health  "
13      "Entertai"
14      "Finance "
15      "Managme "
16      "ArmyPol "
17      "ONonMate"
;
label value w1sector w1sector;
label define w1employ
1       "Govern't"
2       "State   "
3       "Private "
;
label value w1employ w1employ;
label define w1contra
1       "ContNoTe"
2       "ContFixt"
3       "NoContra"
4       "Commisio"
5       "Helpout "
6       "Other   "
;
label value w1contra w1contra;
label define w1paytim
1       "Hour    "
2       "Daily   "
3       "Week    "
4       "Biweek  "
5       "Monthly "
;
label value w1paytim w1paytim;
label define w1taxes
1       "Yes     "
0       "No      "
;
label value w1taxes w1taxes;
label define w1chisup
1       "Yes     "
0       "No      "
;
label value w1chisup w1chisup;
label define w1penspa
1       "Yes     "
0       "No      "
;
label value w1penspa w1penspa;
label define w1meals
1       "Yes     "
0       "No      "
;
label value w1meals w1meals;
label data "sec041: main job - current";
sort hhnum pcode;
save sec041,replace;
clear;

*set maxvar 20  width  31 ;
infile using dic\sec042.dic, using(j:\datahous\rawdata\alban11.raw);
label define w2sector
1      "Manufa  "
2      "Constr  "
3      "Agricul "
4      "Forest  "
5      "Transpor"
6      "Communic"
7      "Trade   "
8      "Commerci"
9      "OProduct"
10      "ScieEduc"
11      "Culture "
12      "Health  "
13      "Entertai"
14      "Finance "
15      "Managme "
16      "ArmyPol "
17      "ONonMate"
;
label value w2sector w2sector;
label define w2employ
1       "Govern't"
2       "State   "
3       "Private "
;
label value w2employ w2employ;
label define w2contra
1       "ContNoTe"
2       "ContFixt"
3       "NoContra"
4       "Commisio"
5       "Helpout "
6       "Other   "
;
label value w2contra w2contra;
label define w2paytim
1       "Hour    "
2       "Daily   "
3       "Week    "
4       "Biweek  "
5       "Monthly "
;
label value w2paytim w2paytim;
label define w2taxes
1       "Yes     "
0       "No      "
;
label value w2taxes w2taxes;
label define w2chisup
1       "Yes     "
0       "No      "
;
label value w2chisup w2chisup;
label define w2penspa
1       "Yes     "
0       "No      "
;
label value w2penspa w2penspa;
label data "sec042: second job - current";
sort hhnum pcode;
save sec042,replace;
clear;

*set maxvar 12  width  21 ;
infile using dic\sec051.dic, using(j:\datahous\rawdata\alban12.raw);
label define selfact1
1      "Sewing  "
2      "FoodProc"
3      "CarRepai"
4      "Contruct"
5      "Taxi    "
6      "Retail  "
7      "ShoeMake"
8      "Beauty  "
9      "Cleaning"
10      "ChildCar"
11      "Artisan "
12      "Translat"
13      "Security"
14      "Tutor   "
15      "Research"
16      "Finacial"
17      "Doctor  "
18      "Lawyer  "
19      "Forestry"
21      "Other   "
;
label value selfact1 selfact1;
label define selfact2
1      "Sewing  "
2      "FoodProc"
3      "CarRepai"
4      "Contruct"
5      "Taxi    "
6      "Retail  "
7      "ShoeMake"
8      "Beauty  "
9      "Cleaning"
10      "ChildCar"
11      "Artisan "
12      "Translat"
13      "Security"
14      "Tutor   "
15      "Research"
16      "Finacial"
17      "Doctor  "
18      "Lawyer  "
19      "Forestry"
21      "Other   "
;
label value selfact2 selfact2;
label data "sec051: non-ag self employment";
sort hhnum pcode;
save sec051,replace;
clear;

*set maxvar 11  width  23 ;
infile using dic\sec052a.dic, using(j:\datahous\rawdata\alban13.raw);
label define bassitem
1      "Build   "
2      "Machine "
3      "Computer"
4      "Copier  "
5      "Teleph  "
6      "Medical "
7      "OCapital"
8      "Car     "
9      "Truck   "
10      "Bus     "
11      "MotoBike"
12      "Motorboa"
13      "Boat    "
14      "SawChain"
15      "OTools  "
16      "Cart    "
17      "Other   "
;
label value bassitem bassitem;
label define bassown
1       "Yes     "
0       "No      "
;
label value bassown bassown;
label define bassacqw
1       "State   "
2       "Coop    "
3       "PriDeale"
4       "StaDeale"
5       "Individ "
6       "Inherite"
7       "Marriage"
8       "Gift    "
9       "Other   "
;
label value bassacqw bassacqw;
label data "sec052a: business assets and durables";
sort hhnum;
save sec052a,replace;
clear;

*set maxvar 21  width  69 ;
infile using dic\sec052b.dic, using(j:\datahous\rawdata\alban14.raw);
label data "sec052b: business assets and durables (cont.)";
sort hhnum;
save sec052b,replace;
clear;

*set maxvar 9  width  17 ;
infile using dic\sec061.dic, using(j:\datahous\rawdata\alban15.raw);
label define agritime
1       "Yes     "
0       "No      "
;
label value agritime agritime;
label data "sec061: agricultural activity";
sort hhnum pcode;
save sec061,replace;
clear;

*set maxvar 5  width  13 ;
infile using dic\sec062a.dic, using(j:\datahous\rawdata\alban16.raw);
label define accesagl
1       "Yes     "
0       "No      "
;
label value accesagl accesagl;
label data "sec062a: access to agricultural land";
sort hhnum;
save sec062a,replace;
clear;

*set maxvar 29  width  100 ;
infile using dic\sec062b.dic, using(j:\datahous\rawdata\alban17.raw);
label data "sec062b: agricultural land";
sort hhnum;
save sec062b,replace;
clear;

*set maxvar 29  width  94 ;
infile using dic\sec062c.dic, using(j:\datahous\rawdata\alban18.raw);
label define alwater1
1       "Rain    "
2       "Dam     "
3       "Pump    "
4       "RiverCan"
5       "Other   "
;
label value alwater1 alwater1;
label define alwater2
1       "Rain    "
2       "Dam     "
3       "Pump    "
4       "RiverCan"
5       "Other   "
;
label value alwater2 alwater2;
label define alwater3
1       "Rain    "
2       "Dam     "
3       "Pump    "
4       "RiverCan"
5       "Other   "
;
label value alwater3 alwater3;
label data "sec062c: agricultural land (cont.)";
sort hhnum;
save sec062c,replace;
clear;

*set maxvar 10  width  22 ;
infile using dic\sec063.dic, using(j:\datahous\rawdata\alban19.raw);
label define agasitem
1      "Tractor "
2      "Trailer "
3      "Combine "
4      "Plows   "
5      "Truck   "
6      "Thresher"
7      "Applicat"
8      "Seeder  "
9      "Press   "
10      "Cart    "
11      "Pump    "
12      "Other   "
;
label value agasitem agasitem;
label define agasown
1       "Yes     "
0       "No      "
;
label value agasown agasown;
label define agasacqw
1       "State   "
2       "Coop    "
3       "PriDeale"
4       "StaDeale"
5       "Individ "
6       "Inherite"
7       "Marriage"
8       "Gift    "
9       "Other   "
;
label value agasacqw agasacqw;
label data "sec063: agriculture assets";
sort hhnum;
save sec063,replace;
clear;

*set maxvar 35  width  73 ;
infile using dic\sec064.dic, using(j:\datahous\rawdata\alban20.raw);
label data "sec064: agriculture - livestock";
sort hhnum;
save sec064,replace;
clear;

*set maxvar 5  width  13 ;
infile using dic\sec071a.dic, using(j:\datahous\rawdata\alban21.raw);
label define remrecev
1       "Yes     "
0       "No      "
;
label value remrecev remrecev;
label data "sec071a: remittances received?";
sort hhnum;
save sec071a,replace;
clear;

*set maxvar 15  width  35 ;
infile using dic\sec071b.dic, using(j:\datahous\rawdata\alban22.raw);
label define rrplace
1       "Home    "
2       "Albania "
3       "Abroad  "
;
label value rrplace rrplace;
label define rrrela
1       "Spouse  "
2       "FatherMo"
3       "SonDaug "
4       "BroSist "
5       "ORela   "
6       "NotRela "
7       "ExSpouse"
;
label value rrrela rrrela;
label data "sec071b: remittances received";
sort hhnum percontr;
save sec071b,replace;
clear;

*set maxvar 5  width  13 ;
infile using dic\sec072a.dic, using(j:\datahous\rawdata\alban23.raw);
label define remsend
1       "Yes     "
0       "No      "
;
label value remsend remsend;
label data "sec072a: remittances sent?";
sort hhnum;
save sec072a,replace;
clear;

*set maxvar 15  width  35 ;
infile using dic\sec072b.dic, using(j:\datahous\rawdata\alban24.raw);
label define rsplace
1       "Home    "
2       "Albania "
3       "Abroad  "
;
label value rsplace rsplace;
label define rsrela
1       "Spouse  "
2       "FatherMo"
3       "SonDaug "
4       "BroSist "
5       "ORela   "
6       "NotRela "
7       "ExSpouse"
;
label value rsrela rsrela;
label data "sec072b: remittances sent?";
sort hhnum perrec;
save sec072b,replace;
clear;

*set maxvar 19  width  31 ;
infile using dic\sec081.dic, using(j:\datahous\rawdata\alban25.raw);
label define sacode
1       "old Age"
2       "survivor"
3       "disabili"
4       "insuranc"
5       "unemploy"
6       "socAssis"
7       "disAllow"
8       "caretake"
9       "oSocWelf"
10      "nGOGrant"
11      "inKind"
;
label value sacode sacode;
label define saany
1       "yes"
0       "no"
;
label value saany saany;
label define sa95any
1       "yes"
0       "no"
;
label value sa95any sa95any;
label define sa94any
1       "yes"
0       "no"
;
label value sa94any sa94any;
label define sa93any
1       "yes"
0       "no"
;
label value sa93any sa93any;
label data "sec081: social assistance";
sort hhnum;
save sec081,replace;
clear;

*set maxvar 8  width  16 ;
infile using dic\sec082.dic, using(j:\datahous\rawdata\alban26.raw);
label define sbcode
1      "Old Age "
2      "Survivor"
3      "Disabili"
4      "Insuranc"
5      "Unemploy"
6      "SocAssis"
7      "DisAllow"
8      "Caretake"
9      "OSocWelf"
10      "NGOGrant"
11      "InKind  "
;
label value sbcode sbcode;
label define sbapply
1       "Yes     "
0       "No      "
;
label value sbapply sbapply;
label define sbapreas
1       "NotEleg "
2       "NoFunds "
3       "Waiting "
4       "Injust  "
;
label value sbapreas sbapreas;
label data "sec082: benefits availability";
sort hhnum;
save sec082,replace;
clear;

*set maxvar 43  width  76 ;
infile using dic\sec091.dic, using(j:\datahous\rawdata\alban27.raw);
label define hhtype
1       "Apartmen"
2       "Multiuni"
3       "House   "
;
label value hhtype hhtype;
label define renting
1       "Own     "
2       "State   "
3       "Private "
4       "Company "
5       "Nopay   "
;
label value renting renting;
label define gotgov
1       "Yes     "
0       "No      "
;
label value gotgov gotgov;
label define rentkind
1       "Yes     "
0       "No      "
;
label value rentkind rentkind;
label define rentcont
1       "Yes     "
0       "No      "
;
label value rentcont rentcont;
label define rentconp
1       "Relative"
2       "Stemploy"
3       "Premploy"
4       "Publicag"
5       "Other   "
;
label value rentconp rentconp;
label define walls
1       "Pannels "
2       "Concrete"
3       "Stones  "
4       "Wood    "
5       "Mud     "
6       "Corrugat"
7       "Other   "
;
label value walls walls;
label define toiletty
1       "Flush   "
2       "Latrine "
3       "Other   "
;
label value toiletty toiletty;
label define toilethh
1       "Hh only "
2       "Share   "
;
label value toilethh toilethh;
label define toiletlo
1       "InDwell "
2       "InBuild "
3       "OutBuild"
;
label value toiletlo toiletlo;
label define studio
1       "Yes     "
0       "No      "
;
label value studio studio;
label define barn
1       "Yes     "
0       "No      "
;
label value barn barn;
label define stable
1       "Yes     "
0       "No      "
;
label value stable stable;
label define water
1       "Piped   "
2       "OwnSys  "
3       "River   "
4       "Other   "
;
label value water water;
label define waterloc
1       "InDwell "
2       "InBuild "
3       "OutBuild"
;
label value waterloc waterloc;
label define energy
1       "Elect   "
2       "Wood    "
3       "Kerosene"
4       "Coal    "
5       "Oil     "
6       "Other   "
;
label value energy energy;
label define telephon
1       "Yes     "
0       "No      "
;
label value telephon telephon;
label data "sec091: housing";
sort hhnum;
save sec091,replace;
clear;

*set maxvar 5  width  13 ;
infile using dic\sec092a.dic, using(j:\datahous\rawdata\alban28.raw);
label define realasse
1       "Yes     "
0       "No      "
;
label value realasse realasse;
label data "sec092a: own real estate?";
sort hhnum;
save sec092a,replace;
clear;

*set maxvar 13  width  28 ;
infile using dic\sec092b.dic, using(j:\datahous\rawdata\alban29.raw);
label define realtype
1       "House   "
2       "Apartmen"
3       "Building"
4       "NonAgLan"
5       "Garage  "
6       "Storage "
7       "Other   "
;
label value realtype realtype;
label define realacqh
1       "State   "
2       "Coop    "
3       "PriDeale"
4       "StaDeale"
5       "Individ "
6       "Inherite"
7       "Marriage"
8       "Gift    "
9       "Other   "
;
label value realacqh realacqh;
label define realrent
1       "Yes     "
0       "No      "
;
label value realrent realrent;
label data "sec092b: real estate assets";
sort hhnum realnum;
save sec092b,replace;
clear;

*set maxvar 9  width  20 ;
infile using dic\sec093.dic, using(j:\datahous\rawdata\alban30.raw);
label define hduritem
1      "StoveGas"
2      "StoveEle"
3      "StoveWoo"
4      "Refrig  "
5      "Freezer "
6      "Washer  "
7      "Sewing  "
8      "SewingEl"
9      "TV      "
10      "VCR     "
11      "Satell  "
12      "RadioHFI"
13      "Computer"
14      "Car     "
15      "Moto    "
16      "Bicycle "
17      "Other   "
;
label value hduritem hduritem;
label define hdurown
1       "Yes     "
0       "No      "
;
label value hdurown hdurown;
label data "sec093: household furniture and durables";
sort hhnum hduritem;
save sec093,replace;
clear;

*set maxvar 10  width  30 ;
infile using dic\sec10.dic, using(j:\datahous\rawdata\alban31.raw);
label define fooditem
101     "maize"
102     "wheat"
103     "breadSm"
104     "breadLg"
105     "pasta"
106     "rice"
107     "oGrains"
201     "beans"
202     "potatoes"
301     "tomato"
302     "pepper"
303     "eggplant"
304     "onions"
305     "olives"
306     "oVegetab"
406     "grapes"
407     "watMelon"
410     "oFrui01"
411     "oFrui02"
501     "cannVeg"
502     "canFruit"
503     "jams"
504     "honey"
601     "veal"
603     "labGoat"
604     "chicken"
605     "sousage"
606     "eggs"
608     "canMeat"
610     "oMeat"
701     "fishFre"
702     "fishFroz"
703     "fishCan"
801     "milkFre"
802     "cheese"
804     "yogurt"
805     "milkPow"
806     "oDairy"
901     "butter"
902     "margarin"
904     "oliveOil"
905     "vegOil"
906     "lard"
1102    "sugar"
1103    "saltSpic"
1104    "coffee"
1105    "tea"
1201    "drinkSof"
1202    "juices"
1204    "wine"
1205    "beer"
1206    "raki"
1301    "mealHome"
1302    "mealOut"
;
label value fooditem fooditem;
label data "sec10: food expenditure and consumption";
sort hhnum fooditem;
save sec10,replace;
clear;

*set maxvar 14  width  31 ;
infile using dic\sec111.dic, using(j:\datahous\rawdata\alban32.raw);
label data "sec111: regular non-food spending";
sort hhnum;
save sec111,replace;
clear;

*set maxvar 17  width  51 ;
infile using dic\sec112.dic, using(j:\datahous\rawdata\alban33.raw);
label data "sec112: occasional non-food spending";
sort hhnum;
save sec112,replace;
clear;

*set maxvar 11  width  23 ;
infile using dic\sec121.dic, using(j:\datahous\rawdata\alban34.raw);
label define disabil
1      "Neuro   "
2      "Eye     "
3      "Hearing "
4      "Heart   "
5      "Respirat"
6      "BloodPre"
7      "Stomach "
8      "KidnUrin"
9      "Diabetes"
10      "Skin    "
11      "Mental  "
12      "Disable "
13      "Arthriti"
14      "Trauma  "
15      "Infectio"
16      "Cold    "
17      "Other   "
;
label value disabil disabil;
label define dismiswr
1       "Yes     "
0       "No      "
;
label value dismiswr dismiswr;
label define distreat
1       "None    "
2       "Home    "
3       "Hospital"
4       "Nursing "
5       "Institu "
;
label value distreat distreat;
label data "sec121: health status";
sort hhnum;
save sec121,replace;
clear;

*set maxvar 20  width  33 ;
infile using dic\sec122.dic, using(j:\datahous\rawdata\alban35.raw);
label define illness
1      "Fever   "
2      "BloodPre"
3      "Dizzy   "
4      "Vomit   "
5      "Diarrhea"
6      "Constipa"
7      "Respirat"
8      "Rash    "
9      "SevBleed"
10      "Bleeding"
11      "Urinary "
12      "Trauma  "
13      "Burn    "
14      "HeadHach"
15      "Pain    "
16      "Eye     "
17      "Hearing "
18      "Heart   "
19      "Stomach "
20      "KidnUrin"
21      "GBlader "
22      "Dental  "
23      "Other   "
;
label value illness illness;
label define ilmiswkr
1       "Yes     "
0       "No      "
;
label value ilmiswkr ilmiswkr;
label define ilsick
1       "Yes     "
0       "No      "
;
label value ilsick ilsick;
label define ilconslt
1       "Yes     "
0       "No      "
;
label value ilconslt ilconslt;
label define ilconres
1       "NoNeed  "
2       "NotSick "
3       "Far     "
4       "Wait    "
5       "Quality "
6       "Expensie"
7       "Other   "
;
label value ilconres ilconres;
label define ilconfst
1       "Pharmacy"
2       "Dentist "
3       "Doctor  "
4       "Paramed "
5       "Nurse   "
6       "Midwife "
7       "Other   "
;
label value ilconfst ilconfst;
label define ilconpri
1       "Pivate  "
2       "Public  "
;
label value ilconpri ilconpri;
label define ilconloc
1       "Home    "
2       "PHCU    "
3       "Polyclin"
4       "Hospital"
5       "Office  "
6       "Other   "
;
label value ilconloc ilconloc;
label data "sec122: health status - accute illness";
sort hhnum pcode;
save sec122,replace;

