#delimit ;
cap log close;
log using do\diff96r,replace;
*************************************************************************;
*                                                                       *;
*    Name     : DIFF96R.DO                                              *;
*    OBJECTIVE: Receipt of NE regressions - first differences - rural 96*;
*                                                                       *;
*************************************************************************;
clear;
set more 1;
set log linesize 160;
set display linesize 160;
set matsize 150;

***RURAL 1996: REGRESSIONS USING 'FULL' EXPENDITURE (BASE MODEL)***;
use nereg;

gen dNE=NE-NE95;

*kdensity dNE;

gen pentot=penoa+penot;
gen pentot95=penoa95+penot95;

cap program drop temp;
prog define temp;
      local varlist "required existing min(1)";
      parse "`*'";
      parse "`varlist'", parse(" ");
      local i 1;
      while "``i''" ~= "" {;
            di in green _n "Working on variable -``i''-";
            gen d``i''=``i''-``i''95;
            local i = `i' + 1;
      };
end;

temp ychild ochilm ochilf adultm adultf elderm elderf
        pentot
        landov
        animv
        empwag NE_pf pexp1r;

***VERSION 3.1***;
areg    dNE
        ychild ochilm ochilf adultm adultf elderm elderf
        pentot
        landov
        animv
        empwag
        commutem
        pexp1r exp1_NE

        if settlm==0,
        absorb(bashki);

***VERSION 4.1***;
regress dNE
        ychild ochilm ochilf adultm adultf elderm elderf
        pentot
        landov
        animv
        empwag
        commutem
        pexp1r exp1_NE
        NE_pf

        if settlm==0;


***VERSION 3.2***;
areg    dNE
        dychild dochilm dochilf dadultm dadultf delderm delderf
        dpentot
        dlandov
        danimv
        dempwag 
        dpexp1r

        if settlm==0,
        absorb(bashki);

***VERSION 4.2***;
regress dNE
        dychild dochilm dochilf dadultm dadultf delderm delderf
        dpentot
        dlandov
        danimv
        dempwag
        dpexp1r
        dNE_pf 

        if settlm==0;




log close;
