#delimit ;
cap log close;
log using do\duplic,replace;

*************************************************************;
*                                                           *;
*    Name     : DUPLIC.DO                                   *;
*    OBJECTIVE: Identification of duplicate observations    *;
*                                                           *;
*************************************************************;
clear;
set more 1;

use sec00;

gen same=0;
replace same=1 if (hhnum[_n+1]==hhnum[_n])|(hhnum[_n-1]==hhnum[_n]);
tab same;
list if same==1, noobs nodisp;

use corehh, clear;
keep hhnum;
*drop if hhnum==30103|hhnum==630741|hhnum==650323;
save temp1, replace;

use temp1, clear;
merge hhnum using sec011;
tab  _merge;
keep if _merge==3;
keep hhnum pcode relation gender age;

sort hhnum pcode;
*gen a=hhnum*100;
*gen pid=a+pcode;
gen long pid=hhnum*100+pcode; *for some reason, need 'long' for this to work;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec012;
tab  _merge;
keep if _merge==3;
keep hhnum pcode relamig gendermig;

sort hhnum pcode;
*gen a=hhnum*100;
*gen pid=a+pcode;
gen long pid=hhnum*100+pcode;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec02;
tab  _merge;
keep if _merge==3;
keep hhnum pcode edulevel;

sort hhnum pcode;
gen long pid=hhnum*100+pcode;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec031;
tab  _merge;
keep if _merge==3;
keep hhnum pcode working7;

sort hhnum pcode;
gen long pid=hhnum*100+pcode;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec032;
tab  _merge;
keep if _merge==3;
keep hhnum pcode lookjobm;

sort hhnum pcode;
gen long pid=hhnum*100+pcode;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec033;
tab  _merge;
keep if _merge==3;
keep hhnum pcode difjobe1;

sort hhnum pcode;
gen long pid=hhnum*100+pcode;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec034a;
tab  _merge;
keep if _merge==3;
keep hhnum pcode pubwor96;

sort hhnum pcode;
gen long pid=hhnum*100+pcode;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec034b;
tab  _merge;
keep if _merge==3;
keep hhnum pcode train96;

sort hhnum pcode;
gen long pid=hhnum*100+pcode;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec041;
tab  _merge;
keep if _merge==3;
keep hhnum pcode w1sector;

sort hhnum pcode;
gen long pid=hhnum*100+pcode;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec042;
tab  _merge;
keep if _merge==3;
keep hhnum pcode w2sector;

sort hhnum pcode;
gen long pid=hhnum*100+pcode;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec051;
tab  _merge;
keep if _merge==3;
keep hhnum pcode selfact1;

sort hhnum pcode;
gen long pid=hhnum*100+pcode;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec052a;
tab  _merge;
keep if _merge==3;
keep hhnum bassitem bassown;

sort hhnum bassitem;
gen long pid=hhnum*100+bassitem;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec052b;
tab  _merge;
keep if _merge==3;
keep hhnum bequip1;

gen same=0;
replace same=1 if (hhnum[_n+1]==hhnum[_n])|(hhnum[_n-1]==hhnum[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec061;
tab  _merge;
keep if _merge==3;
keep hhnum pcode agritime;

sort hhnum pcode;
gen long pid=hhnum*100+pcode;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec062a;
tab  _merge;
keep if _merge==3;
keep hhnum accesagl;

gen same=0;
replace same=1 if (hhnum[_n+1]==hhnum[_n])|(hhnum[_n-1]==hhnum[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec062b;
tab  _merge;
keep if _merge==3;
keep hhnum alowna1;

gen same=0;
replace same=1 if (hhnum[_n+1]==hhnum[_n])|(hhnum[_n-1]==hhnum[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec062c;
tab  _merge;
keep if _merge==3;
keep hhnum alsol961;

gen same=0;
replace same=1 if (hhnum[_n+1]==hhnum[_n])|(hhnum[_n-1]==hhnum[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec063;
tab  _merge;
keep if _merge==3;
keep hhnum agasitem agasown;

sort hhnum agasitem;
gen long pid=hhnum*100+agasitem;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec064;
tab  _merge;
keep if _merge==3;
keep hhnum lvown1;

gen same=0;
replace same=1 if (hhnum[_n+1]==hhnum[_n])|(hhnum[_n-1]==hhnum[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec071a;
tab  _merge;
keep if _merge==3;
keep hhnum remrecev;

gen same=0;
replace same=1 if (hhnum[_n+1]==hhnum[_n])|(hhnum[_n-1]==hhnum[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec071b;
tab  _merge;
keep if _merge==3;
keep hhnum percontr rrplace;

sort hhnum percontr;
gen long pid=hhnum*100+percontr;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec072a;
tab  _merge;
keep if _merge==3;
keep hhnum remsend;

gen same=0;
replace same=1 if (hhnum[_n+1]==hhnum[_n])|(hhnum[_n-1]==hhnum[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec072b;
tab  _merge;
keep if _merge==3;
keep hhnum perrec rsplace;

sort hhnum perrec;
gen long pid=hhnum*100+perrec;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec081;
tab  _merge;
keep if _merge==3;
keep hhnum sacode saany;

sort hhnum sacode;
gen long pid=hhnum*100+sacode;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec082;
tab  _merge;
keep if _merge==3;
keep hhnum sbcode sbapply;

sort hhnum sbcode;
gen long pid=hhnum*100+sbcode;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec091;
tab  _merge;
keep if _merge==3;
keep hhnum hhtype;

gen same=0;
replace same=1 if (hhnum[_n+1]==hhnum[_n])|(hhnum[_n-1]==hhnum[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec092a;
tab  _merge;
keep if _merge==3;
keep hhnum realasse;

gen same=0;
replace same=1 if (hhnum[_n+1]==hhnum[_n])|(hhnum[_n-1]==hhnum[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec092b;
tab  _merge;
keep if _merge==3;
keep hhnum realnum realtype;

sort hhnum realnum;
gen long pid=hhnum*100+realnum;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec093;
tab  _merge;
keep if _merge==3;
keep hhnum hduritem hdurown;

sort hhnum hduritem;
gen long pid=hhnum*100+hduritem;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec10;
tab  _merge;
keep if _merge==3;
keep hhnum fooditem fpurqua;

sort hhnum fooditem;
gen long pid=hhnum*100+fooditem;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec111;
tab  _merge;
keep if _merge==3;
keep hhnum mcigare;

gen same=0;
replace same=1 if (hhnum[_n+1]==hhnum[_n])|(hhnum[_n-1]==hhnum[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec112;
tab  _merge;
keep if _merge==3;
keep hhnum ykithous;

gen same=0;
replace same=1 if (hhnum[_n+1]==hhnum[_n])|(hhnum[_n-1]==hhnum[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec121;
tab  _merge;
keep if _merge==3;
keep hhnum pcode disabil;

sort hhnum pcode;
gen long pid=hhnum*100+pcode;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;

use temp1, clear;
merge hhnum using sec122;
tab  _merge;
keep if _merge==3;
keep hhnum pcode illness;

sort hhnum pcode;
gen long pid=hhnum*100+pcode;
format pid %9.0f;

gen same=0;
replace same=1 if (pid[_n+1]==pid[_n])|(pid[_n-1]==pid[_n]);
tab same;
list if same==1, noobs nodisp;


log close;
