#delimit ;
cap log close;
log using do\expann,replace;
*************************************************************;
*                                                           *;
*    Name     : EXPAGG.DO                                   *;
*    OBJECTIVE: Analysis of aggregate expenditure           *;
*                                                           *;
*************************************************************;
clear;
set more 1;
set log linesize 160;
set display linesize 160;
/*
use expagg;

merge hhnum using corehh;
keep hhnum hhsize tothhx1p tothhx2p settlm region foods imprents othouss 
     educuls healths transpos cloths remouts others;


**deciles -- households
;
sort tothhx1p;

gen d = _N/10;
gen expdec=0;
replace expdec=1  if _n <= d*1;
replace expdec=2  if (d*1 < _n) & (_n <= d*2);
replace expdec=3  if (d*2 < _n) & (_n <= d*3);
replace expdec=4  if (d*3 < _n) & (_n <= d*4);
replace expdec=5  if (d*4 < _n) & (_n <= d*5);
replace expdec=6  if (d*5 < _n) & (_n <= d*6);
replace expdec=7  if (d*6 < _n) & (_n <= d*7);
replace expdec=8  if (d*7 < _n) & (_n <= d*8);
replace expdec=9  if (d*8 < _n) & (_n <= d*9);
replace expdec=10 if (d*9 < _n);

drop d;

label variable expdec "p.c. exp. deciles - households";

sort hhnum;
save expann, replace;


**incidence and amount of social assistance
;
use if sacode==1 using sec081;

gen same=0;
replace same=1 if hhnum[_n+1]==hhnum[_n];*number hhs with replicated records;
*tab same;
keep if same==0;

gen pen_r=saany*100;
gen penamt=sapay;
label var penamt "Amount of pension received";
keep hhnum pen_r penamt;
sort hhnum;
local temp1: tempfile;
save `temp1', replace;

use if sacode==5 using sec081;

gen same=0;
replace same=1 if hhnum[_n+1]==hhnum[_n];*number hhs with replicated records;
*tab same;
keep if same==0;

gen unem_r=saany*100;
gen unemamt=sapay;
label var unemamt "Amount of UB received";
keep hhnum unem_r unemamt;
sort hhnum;
local temp2: tempfile;
save `temp2', replace;

use if sacode==6 using sec081;

gen same=0;
replace same=1 if hhnum[_n+1]==hhnum[_n];*number hhs with replicated records;
*tab same;
keep if same==0;

gen sa_r=saany*100;
gen saamt=sapay;
label var saamt "Amount of social assistance received";
keep hhnum sa_r saamt;
sort hhnum;
local temp3: tempfile;
save `temp3', replace;

use expann;

merge hhnum using `temp1';
tab _merge;
drop if _merge==2; *hhs 220106, 640126 -- incomplete questionnaires;
mvencode pen_r, mv(0) ov;
drop _merge;
sort hhnum;

merge hhnum using `temp2';
tab _merge;
drop _merge;
mvencode unem_r, mv(0) ov;
sort hhnum;

merge hhnum using `temp3';
tab _merge;
drop _merge;
mvencode sa_r, mv(0) ov;
sort hhnum;

save expann, replace;
*/
/*
use expann, clear;

**cumulative distribution graph - with rent
;
cumul tothhx1p if settlm==1, gen(ucumexp);
cumul tothhx1p if settlm==2, gen(rcumexp);

label var ucumexp "urban cum. dist.";
label var rcumexp "rural cum. dist.";

*gr ucumexp rcumexp tothhx1p if ucumexp<0.95|rcumexp<0.95;
set textsize 150;
gr ucumexp rcumexp tothhx1p if ucumexp<0.95|rcumexp<0.95, c(ll) s(..) sort
   border ylab(0,.25,.5,.75,1) xlab 
   ytick(.25,.5,.75) xtick(1000,2000,3000,4000,5000,10000,15000)
   t1("Cumulative of per capita monthly expenditure")
   t2("Albania, 1996");


gphprint, saving (cumexp1.wmf, replace);

**cumulative distribution graph - with rent
;
cumul tothhx2p if settlm==1, gen(ucumexp);
cumul tothhx2p if settlm==2, gen(rcumexp);

label var ucumexp "urban cum. dist.";
label var rcumexp "rural cum. dist.";

set textsize 150;
gr ucumexp rcumexp tothhx2p if ucumexp<0.95|rcumexp<0.95, c(ll) s(..) sort
   border ylab(0,.25,.5,.75,1) xlab 
   ytick(.25,.5,.75) xtick(1000,2000,3000,4000,5000,10000,15000)
   t1("Cumulative of p.c. monthly exp. (rent excl.)")
   t2("Albania, 1996");


gphprint, saving (cumexp2.wmf, replace);
*/
/*
use expann, clear;

tab expdec settlm, col;

tab expdec settlm [fw=hhsize], col;

table expdec settlm, c(n pen_r mean pen_r) col row f(%9.1f);

table expdec settlm, c(n unem_r mean unem_r) col row f(%9.1f);

table expdec settlm, c(n sa_r mean sa_r) col row f(%9.1f);

table expdec settlm [fw=hhsize], c(n sa_r mean sa_r) col row f(%9.1f);

sum penamt  if pen_r>0, det;
sum unemamt if unem_r>0, det;
sum saamt   if sa_r>0, det;

gen saamt_pc=saamt/hhsize;
label var saamt_pc "Per capita social assistance received";
sum saamt_pc   if sa_r>0, det;
*/

/*
**look at ex-ante poverty and receipt of social assistance
;
use expann, clear;

gen a=tothhx1p*hhsize;
replace a=a-saamt if saamt~=.;
gen tothhx3p=a/hhsize;

label variable tothhx3p "p.c. expend./month - NE";
sort tothhx3p;

gen d = _N/10;
gen expdec2=0;
replace expdec2=1  if _n <= d*1;
replace expdec2=2  if (d*1 < _n) & (_n <= d*2);
replace expdec2=3  if (d*2 < _n) & (_n <= d*3);
replace expdec2=4  if (d*3 < _n) & (_n <= d*4);
replace expdec2=5  if (d*4 < _n) & (_n <= d*5);
replace expdec2=6  if (d*5 < _n) & (_n <= d*6);
replace expdec2=7  if (d*6 < _n) & (_n <= d*7);
replace expdec2=8  if (d*7 < _n) & (_n <= d*8);
replace expdec2=9  if (d*8 < _n) & (_n <= d*9);
replace expdec2=10 if (d*9 < _n);

drop d;

label variable expdec2 "ex-ante p.c. exp. dec (NE excl.)";

*table expdec2 settlm, c(n sa_r mean sa_r) col row f(%9.1f);

*table expdec2 settlm [fw=hhsize], c(n sa_r mean sa_r) col row f(%9.1f);

tab expdec2 settlm if sa_r==100, row col;

sort hhnum;
save expann, replace;
*/

/*
**labor force status -- individual level
;
use expann;
keep hhnum hhsize settlm expdec;

merge hhnum using adult;
tab _merge;
keep hhnum hhsize settlm expdec lfs1b wapop;

gen lfs2=lfs1b;
recode lfs2 1 4 = 1
            2 5 = 2
            3 6 = 3
            ; 

*keep if wapop==1;

sort settlm expdec lfs2;
gen id=1;

save temp, replace;

**lfs by deciles and type of settlement
;
use temp, clear;
collapse (count) id, by(settlm expdec lfs2);

gen empi=id   if lfs==1;
gen unempi=id if lfs==2;
gen nilfi=id  if lfs==3;

sort settlm;
egen emp   = sum(empi), by(settlm expdec);
egen unemp = sum(unempi), by(settlm expdec);
egen nilf  = sum(nilfi), by(settlm expdec);

drop id empi unempi nilfi;

sort settlm expdec;
qui by settlm expdec: keep if _n==1;

gen lfprate = ((emp+unemp)/(emp+unemp+nilf))*100;
gen urate = (unemp/(emp+unemp))*100;
format lfprate urate %9.2f;

drop emp unemp nilf lfs2;
list;

**lfs by deciles
;
use temp, clear;
collapse (count) id, by(expdec lfs2);

gen empi=id   if lfs==1;
gen unempi=id if lfs==2;
gen nilfi=id  if lfs==3;

sort expdec;
egen emp   = sum(empi), by(expdec);
egen unemp = sum(unempi), by(expdec);
egen nilf  = sum(nilfi), by(expdec);

drop id empi unempi nilfi;

sort expdec;
qui by expdec: keep if _n==1;

gen lfprate = ((emp+unemp)/(emp+unemp+nilf))*100;
gen urate = (unemp/(emp+unemp))*100;
format lfprate urate %9.2f;

drop emp unemp nilf lfs2;
list;

**lfs type of settlement
;
use temp, clear;
collapse (count) id, by(settlm lfs2);

gen empi=id   if lfs==1;
gen unempi=id if lfs==2;
gen nilfi=id  if lfs==3;

sort settlm;
egen emp   = sum(empi), by(settlm);
egen unemp = sum(unempi), by(settlm);
egen nilf  = sum(nilfi), by(settlm);

drop id empi unempi nilfi;

sort settlm;
qui by settlm: keep if _n==1;

gen lfprate = ((emp+unemp)/(emp+unemp+nilf))*100;
gen urate = (unemp/(emp+unemp))*100;
format lfprate urate %9.2f;

drop emp unemp nilf lfs2;
list;
*/

/*
**get at labor force status another way -- household level (incorrect)
;
use expann, clear;
keep hhnum hhsize settlm expdec tothhx1p;

merge hhnum using adult;
tab _merge;
keep hhnum hhsize settlm expdec tothhx1p lfs wapop;

gen lfs2=lfs;
recode lfs2 1 4 = 1
            2 5 = 2
            3 6 = 3
            ; 

sort hhnum;

gen id=1;

egen empnumi = sum(id) if lfs2==1, by(hhnum);
egen a = mean(empnumi), by(hhnum);

egen unnumi = sum(id) if lfs2==2, by(hhnum);
egen b = mean(unnumi), by(hhnum);

egen nilfnumi = sum(id) if lfs2==3, by(hhnum);
egen c = mean(nilfnumi), by(hhnum);

*drop empnumi unnumi nilfnumi a b c;

sort hhnum;
qui by hhnum: keep if _n==1;

gen empnum=0;
replace empnum=a if a~=.;
gen unnum=0;
replace unnum=b if b~=.;
gen nilfnum=0;
replace nilfnum=c if c~=.;

gen ilf_p = (empnum+unnum)/(empnum+unnum+nilfnum)*100;
gen un_p =  (unnum)/(empnum+unnum+nilfnum)*100;

*table expdec settlm, c(mean ilf_p n ilf_p ) col row f(%9.1f);
*table expdec settlm, c(mean un_p n un_p ) col row f(%9.1f);

save expann, replace;
*/

/*
**look at % of households with people who did public work in 1996
;
use expann;
keep hhnum settlm expdec;

merge hhnum using sec034a; 
*/

/*
**additional numbers for Harold
;
use expann;

count if settlm==1&tothhx3p<3000&tothhx1p>3000;
count if settlm==2&tothhx3p<3000&tothhx1p>3000;

gen poor=((tothhx1p-3000)<0);
gen p1=(-(tothhx1p-3000)/(3000))*poor;

sort settlm;
by settlm: sum poor p1;
*/
/*
**Harold's 2/3 request
;
use expagg;

merge hhnum using corehh;

gen eqhhsize=1+(adult-1)*0.7+child*0.5;

gen eexp = tothhx1/eqhhsize;

gen poor_a=((eexp-(20000/12))<0); *1666.67/mo;
gen p1_a=(-(eexp-(20000/12))/(20000/12))*poor_a;

gen poor_b=((eexp-((27000*1.1654)/12))<0); *2622.15/mo;
gen p1_b=(-(eexp-((27000*1.1654)/12))/((27000*1.1654)/12))*poor_b;

sort settlm;
by settlm: sum tothhx1 tothhx1p eexp;

by settlm: sum poor_a p1_a;
by settlm: sum poor_b p1_b;
*/
/*
**Harold's 2/4 request
;
use expagg;

merge hhnum using corehh;
drop _merge;
sort hhnum;

merge hhnum using pccal;
keep hhnum hhsize hhsize2 tothhx1p settlm region foods caltot1;

**quintiles -- households
;
sort tothhx1p;

gen q = _N/5;
gen expqui=0;
replace expqui=1  if _n <= q*1;
replace expqui=2  if (q*1 < _n) & (_n <= q*2);
replace expqui=3  if (q*2 < _n) & (_n <= q*3);
replace expqui=4  if (q*3 < _n) & (_n <= q*4);
replace expqui=5  if (q*4 < _n);

label variable expqui "p.c. exp. quintile - households";

table expqui, c(mean tothhx1p mean foods mean caltot1) row;
*/
/*
**Harold's 2/6 request
;
use predexp;

merge hhnum using corehh;
tab _merge;
drop _merge;
sort hhnum;

merge hhnum using income;
tab _merge;
keep hhnum hhsize settlm tothhx1 predex socassis;

gen tothhx1p = tothhx1/hhsize;
gen predex_p = predex/hhsize;

gen NErec=socassis>0;
label variable NErec "dummy - household receives NE"; 

**quintiles -- households
;
sort tothhx1p;
gen q = _N/5;
gen expqui=0;
replace expqui=1  if _n <= q*1;
replace expqui=2  if (q*1 < _n) & (_n <= q*2);
replace expqui=3  if (q*2 < _n) & (_n <= q*3);
replace expqui=4  if (q*3 < _n) & (_n <= q*4);
replace expqui=5  if (q*4 < _n);
drop q;

sort predex_p;
gen q = _N/5;
gen pexpqui=0;
replace pexpqui=1  if _n <= q*1;
replace pexpqui=2  if (q*1 < _n) & (_n <= q*2);
replace pexpqui=3  if (q*2 < _n) & (_n <= q*3);
replace pexpqui=4  if (q*3 < _n) & (_n <= q*4);
replace pexpqui=5  if (q*4 < _n);
drop q;

label variable expqui "p.c. exp. quintile - hhs";
label variable pexpqui "p.c. pred. exp. quintile - hhs";

table expqui, c(mean NErec mean socassis n NErec) row format (%9.2f);
table pexpqui, c(mean NErec mean socassis n NErec) row format (%9.2f);

drop expqui pexpqui;

sort settlm tothhx1p;
by settlm: gen q = _N/5;
gen expqui=0;
by settlm: replace expqui=1  if _n <= q*1;
by settlm: replace expqui=2  if (q*1 < _n) & (_n <= q*2);
by settlm: replace expqui=3  if (q*2 < _n) & (_n <= q*3);
by settlm: replace expqui=4  if (q*3 < _n) & (_n <= q*4);
by settlm: replace expqui=5  if (q*4 < _n);
drop q;

sort settlm predex_p;
by settlm: gen q = _N/5;
gen pexpqui=0;
by settlm: replace pexpqui=1  if _n <= q*1;
by settlm: replace pexpqui=2  if (q*1 < _n) & (_n <= q*2);
by settlm: replace pexpqui=3  if (q*2 < _n) & (_n <= q*3);
by settlm: replace pexpqui=4  if (q*3 < _n) & (_n <= q*4);
by settlm: replace pexpqui=5  if (q*4 < _n);
drop q;

label variable expqui "p.c. exp. quintile - hhs";
label variable pexpqui "p.c. pred. exp. quintile - hhs";

table expqui settlm, c(mean NErec mean socassis n NErec) row col format (%9.2f);
table pexpqui settlm, c(mean NErec mean socassis n NErec) row col format (%9.2f);
*/
/*
**Harold's 2/21 request
;

use pexpdath;
keep hhnum settlm tothhx1 exp_NE;
merge hhnum using corehh;
keep hhnum settlm hhsize tothhx1 exp_NE;

cap program drop temp1;
program define temp1;

**CDFs
;
cumul `1' if settlm==1, gen(uc1);
cumul `1' if settlm==0, gen(rc1);
cumul `2' if settlm==1, gen(uc2);
cumul `2' if settlm==0, gen(rc2);
save tempan1, replace;

keep if settlm==1;
replace uc2=.;
save tempan1a, replace;
use tempan1, clear;
keep if settlm==1;
replace uc1=.;
replace `1'=`2';
append using tempan1a;

set textsize 150;
gr uc1 uc2 `1', c(ll) s(..) sort
   border ylab(0,.25,.5,.75,1) /*xlab(6,7,8,9,10)*/
   ytick(.25,.5,.75)
   l1("proportion of households") 
   t1("Empirical CDF of per capita monthly expenditure, with and without NE")
   t2("Urban Albania, 1996")
   saving(cdfu, replace);
gphprint, saving (cdfu2.wmf, replace);

use tempan1, clear;
keep if settlm==0;
replace rc2=.;
save tempan1a, replace;
use tempan1, clear;
keep if settlm==0;
replace rc1=.;
replace `1'=`2';
append using tempan1a;

gr rc1 rc2 `1', c(ll) s(..) sort
   border ylab(0,.25,.5,.75,1) /*xlab(6,7,8,9,10)*/
   ytick(.25,.5,.75) 
   l1("proportion of households") 
   t1("Empirical CDF of per capita monthly expenditure, with and without NE")
   t2("Rural Albania, 1996")
   saving(cdfr, replace);
gphprint, saving (cdfr2.wmf, replace);

/*
**Estimated density functions
;

kdensity lexpp if settlm==0, nogr g(x0 rdens);
kdensity lexpp if settlm==1, nogr g(x1 udens);
kdensity lexpNEp if settlm==0, nogr g(x0a rdensNE);
kdensity lexpNEp if settlm==1, nogr g(x1a udensNE);
label var rdens "";
label var udens "";
label var rdensNE "";
label var udensNE "";
keep r* u* x*;
keep if rdens~=.;
save tempan1, replace;

use tempan1, clear;
keep u* x1 x1a;
replace udensNE=.;
save tempan1a, replace;
use tempan1, clear;
replace udens=.;
replace x1=x1a;
append using tempan1a;

gr udens udensNE x1, c(ll) s(..) sort xlab(6,7,8,9,10)
   title("Expenditure density estimates, Urban Albania")
   saving(densu, replace);
gphprint, saving (densu.wmf, replace);

use tempan1, clear;
keep r* x0 x0a;
replace rdensNE=.;
save tempan1a, replace;
use tempan1, clear;
replace rdens=.;
replace x0=x0a;
append using tempan1a;

gr rdens rdensNE x0, c(ll) s(..) sort xlab(6,7,8,9,10)
   title("Expenditure density estimates, Rural Albania")
   saving(densr, replace);
gphprint, saving (densr.wmf, replace);
*/
end;

gen tothhx1p=tothhx1/hhsize;
gen expNEp=exp_NE/hhsize;

gen lexpp=ln(tothhx1/hhsize);
gen lexpNEp=ln(exp_NE/hhsize);

label var tothhx1p "per capita household expenditure";
label var expNEp "per capita (household expenditure - NE) ";
label var lexpp "log of per capita household expenditure";
label var lexpNEp "log of per capita (household expenditure - NE) ";

temp1 lexpp lexpNEp;
*temp1 tothhx1p expNEp;
*/

/*
**Harold's 2/24 request - Entitlements
;
use coreind;
merge hhnum using corehh;
keep hhnum hhsize settlm pcode age gender present;
sort hhnum pcode;

merge hhnum pcode using sec031;
tab _merge;
drop if _merge==2;
gen inv=(notlook==2|notlook==3);

gen a=0; gen b=0; gen c=0; gen d=0;
replace a=1 if age<16 & (present==.|present==1);
replace b=1 if age>=16 & age<=60 & (present==.|present==1) & inv~=1;
replace c=1 if age>60 & (present==.|present==1) & inv~=1;
replace d=1 if (present==.|present==1) & inv==1;
egen byte child=sum(a), by(hhnum);
egen byte adult=sum(b), by(hhnum);
egen byte elder=sum(c), by(hhnum);
egen byte disab=sum(d), by(hhnum);

sort hhnum;
qui by hhnum: keep if _n==1;
keep hhnum hhsize settlm child adult elder disab;
save tempa, replace;

use tempa;
gen ent1=0;
replace ent1=2150+2150*elder+2150*disab if adult>0;
replace ent1=     2150*elder+2150*disab if adult==0;
replace ent1=ent+408*(adult-1)          if adult>0;
replace ent1=ent+510*child;
sum ent1, det;
replace ent1=5375 if ent1>5375; *Vilma's method;

gen adults=adult+elder+disab;
gen ent2=0;
replace ent2=2150+408*(adults-1)+510*child;
sum ent2, det;
replace ent2=5375 if ent2>5375; *Our method;

sort hhnum;
merge hhnum using income;
tab _m;
gen NE=socassis;
list if NE==.;
keep hhnum hhsize settlm child adult elder disab ent1 ent2 NE 
     pension ub wage;
sort hhnum;

merge hhnum using pexpdath;
keep hhnum hhsize settlm child adult elder disab ent1 ent2 NE tothhx1
     pension ub wage landoa;

*list if NE>ent1;
*list if NE>ent2;
    
**recalculate max entitlements - 1
;
gen nent1up=ent1-pension-ub;
gen nent2up=ent2-pension-ub;
list if nent2up==.;
*replace nent1up=0 if nent1up<0;
*replace nent2up=0 if nent2up<0;

sum nent1up if NE>nent1up, det;
sum nent2up if NE>nent2up, det;
sum nent1up if NE>0&NE>nent1up, det;
sum nent2up if NE>0&NE>nent2up, det;

**recalculate max entitlements - 2
;
gen land=landoa*1000/1500; *assumes unit in survey is decare (1000sqm);
gen landamt=land*562;
gen nent1upl=nent1up-landamt;
gen nent2upl=nent2up-landamt;
*replace nent1upl=0 if nent1upl<0;
*replace nent2upl=0 if nent2upl<0;

sum nent1upl if NE>nent1upl, det;
sum nent2upl if NE>nent2upl, det;
sum nent1upl if NE>0&NE>nent1upl, det;
sum nent2upl if NE>0&NE>nent2upl, det;

*list if nent1upl<-10000;

*list hhnum NE nent1upl if NE>0&NE>nent1upl;
*list hhnum NE nent2upl if NE>0&NE>nent2upl;


**hhs receiving NE who have wage earner;
*count if NE>0&wage>0&settlm==0;
*count if NE>0&wage>0&settlm==1;

/*
**plots
;
gen lent1=ln(ent1);
gen lent2=ln(ent2);
gen lexp=ln(tothhx1);

gr lexp lent1 if NE>0, xlab(7,8,9,10) ylab(7,8,9,10);
*/

/*
**extra - 1
;
replace nent1upl=0 if nent1upl<0;
replace nent2upl=0 if nent2upl<0;

gen NEr=NE/tothhx1;
gen ent1r=ent1/tothhx1;
gen ent2r=ent2/tothhx1;
gen nent1r=nent1upl/tothhx1;
gen nent2r=nent2upl/tothhx1;

sum NEr if NE>0, det;

sum ent1r if NE==0, det;
sum ent2r if NE==0, det;

sum nent1r if NE==0, det;
sum nent2r if NE==0, det;
*/

**extra - 2
;
replace nent2upl=0 if nent2upl<0;

count if settlm==0 & NE>0;
count if settlm==1 & NE>0;

count if settlm==0 & NE>nent2upl;
count if settlm==1 & NE>nent2upl;

gen excessNE=NE-nent2upl;
sort settlm;
by settlm: sum excessNE if NE>nent2upl, det;

count if settlm==0 & nent2upl>0 & NE==0;
count if settlm==1 & nent2upl>0 & NE==0;
*/

/*
**Construction of poverty line
;
use pexpdath;
keep hhnum tothhx1;

merge hhnum using pccal;
tab _merge;

gen tothhx1p=tothhx1/hhsize;
*/
/*
**Harold's 3/6 request (based on 2/6 request)
;
use predexp;

merge hhnum using corehh;
tab _merge;
drop _merge;
sort hhnum;

merge hhnum using income;
tab _merge;
keep hhnum hhsize settlm exp_NE predexNE socassis;

gen exp_NEp = exp_NE/hhsize;
gen prexNE_p = predexNE/hhsize;

gen NErec=socassis>0;
label variable NErec "dummy - household receives NE"; 

**quintiles -- households
;
sort exp_NEp;
gen q = _N/5;
gen expqui=0;
replace expqui=1  if _n <= q*1;
replace expqui=2  if (q*1 < _n) & (_n <= q*2);
replace expqui=3  if (q*2 < _n) & (_n <= q*3);
replace expqui=4  if (q*3 < _n) & (_n <= q*4);
replace expqui=5  if (q*4 < _n);
drop q;

sort prexNE_p;
gen q = _N/5;
gen pexpqui=0;
replace pexpqui=1  if _n <= q*1;
replace pexpqui=2  if (q*1 < _n) & (_n <= q*2);
replace pexpqui=3  if (q*2 < _n) & (_n <= q*3);
replace pexpqui=4  if (q*3 < _n) & (_n <= q*4);
replace pexpqui=5  if (q*4 < _n);
drop q;

label variable expqui "p.c. (exp-NE) quintile - hhs";
label variable pexpqui "p.c. pred. (exp-NE) quintile - hhs";

tab expqui pexpqui;

table expqui, c(mean NErec mean socassis n NErec) row format (%9.2f);
table pexpqui, c(mean NErec mean socassis n NErec) row format (%9.2f);

drop expqui pexpqui;

sort settlm exp_NEp;
by settlm: gen q = _N/5;
gen expqui=0;
by settlm: replace expqui=1  if _n <= q*1;
by settlm: replace expqui=2  if (q*1 < _n) & (_n <= q*2);
by settlm: replace expqui=3  if (q*2 < _n) & (_n <= q*3);
by settlm: replace expqui=4  if (q*3 < _n) & (_n <= q*4);
by settlm: replace expqui=5  if (q*4 < _n);
drop q;

sort settlm prexNE_p;
by settlm: gen q = _N/5;
gen pexpqui=0;
by settlm: replace pexpqui=1  if _n <= q*1;
by settlm: replace pexpqui=2  if (q*1 < _n) & (_n <= q*2);
by settlm: replace pexpqui=3  if (q*2 < _n) & (_n <= q*3);
by settlm: replace pexpqui=4  if (q*3 < _n) & (_n <= q*4);
by settlm: replace pexpqui=5  if (q*4 < _n);
drop q;

label variable expqui "p.c. (exp-NE) quintile - hhs";
label variable pexpqui "p.c. pred. (exp-NE) quintile - hhs";

table expqui settlm, c(mean NErec mean socassis n NErec) row col format (%9.2f);
table pexpqui settlm, c(mean NErec mean socassis n NErec) row col format (%9.2f);
*/

**Harold's 3/24 request
;
use pexpdat;
/*
gen exp1_NEp=exp1_NE/hhsize;

**deciles -- households
;
sort exp1_NEp;

gen d = _N/10;
gen expdec=0;
replace expdec=1  if _n <= d*1;
replace expdec=2  if (d*1 < _n) & (_n <= d*2);
replace expdec=3  if (d*2 < _n) & (_n <= d*3);
replace expdec=4  if (d*3 < _n) & (_n <= d*4);
replace expdec=5  if (d*4 < _n) & (_n <= d*5);
replace expdec=6  if (d*5 < _n) & (_n <= d*6);
replace expdec=7  if (d*6 < _n) & (_n <= d*7);
replace expdec=8  if (d*7 < _n) & (_n <= d*8);
replace expdec=9  if (d*8 < _n) & (_n <= d*9);
replace expdec=10 if (d*9 < _n);

drop d;
label variable expdec "p.c. (exp1_NE) deciles - households";

collapse (sum) NE, by(expdec);
egen NEsum=sum(NE);

gen NE_p=NE/NEsum*100;
label var NE_p "% of total NE allocated received by decile"; 

table expdec, c(mean NE_p) format (%9.2f);
*/

**deciles -- households
;
gen tothhx1p = tothhx1/hhsize;
gen exp1_NEp=exp1_NE/hhsize;
sort exp1_NEp;

gen d = _N/10;
gen expdec=0;
replace expdec=1  if _n <= d*1;
replace expdec=2  if (d*1 < _n) & (_n <= d*2);
replace expdec=3  if (d*2 < _n) & (_n <= d*3);
replace expdec=4  if (d*3 < _n) & (_n <= d*4);
replace expdec=5  if (d*4 < _n) & (_n <= d*5);
replace expdec=6  if (d*5 < _n) & (_n <= d*6);
replace expdec=7  if (d*6 < _n) & (_n <= d*7);
replace expdec=8  if (d*7 < _n) & (_n <= d*8);
replace expdec=9  if (d*8 < _n) & (_n <= d*9);
replace expdec=10 if (d*9 < _n);

drop d;
label variable expdec "p.c. (exp1_NE) deciles - households";

table expdec, c(max exp1_NEp) format (%9.2f);

egen a = max(exp1_NEp) if expdec==1;
egen b = max(exp1_NEp) if expdec==2;
egen c = max(exp1_NEp) if expdec==4;

egen pl1 = max(a);
egen pl2 = max(b);
egen pl3 = max(c);
drop a b c;

count if exp1_NEp<pl1 & tothhx1p>pl1;
count if exp1_NEp<pl2 & tothhx1p>pl2;
count if exp1_NEp<pl3 & tothhx1p>pl3;







log close;
