#delimit;
capture log close;
log using do/foodout,replace;
****************************************************************;
*                                                              *;
*    Name    : FOODOUT.DO                                      *;
*    OBJECTIVE: Look at food quantities data and outlier       *;
*               adjustment                                     *;
****************************************************************;
clear;
set more 1;
set log linesize 132;
set display linesize 132;

**first look at the outlier adjustments performed in fdexp.do - at 
fooditem level
;

use fdquant;

tab fooditem if outlier==1; *# of occurences;
tab outlier if poutlier==1; *check if price adjustment not creating outliers;

cap program drop temp1;

program define temp1;
  use fdquant, clear;
  /*
  merge hhnum using new; *hhs that were in the new data;
  drop _merge;
  sort hhnum;
  merge hhnum using new2; *hhs with hhsize<hhsize2;
  */
  keep if fooditem==`1';
  gen totq_pc = fdq_tot/hhsize;
  *gen totq2_pc = fdq_tot2/hhsize;
  keep hhnum hhsize bashki fooditem upper1 upper2 outlier totq_pc;
  sum totq_pc, det;
  list if outlier==1, nodisp;
end;

temp1 101;
temp1 102;
temp1 103;
temp1 104;
temp1 105;
temp1 106;
temp1 107;

temp1 201;
temp1 202;
temp1 301;
temp1 302;
temp1 303;
temp1 304;
temp1 305;
temp1 306;

temp1 406;
temp1 407;
temp1 410;
temp1 411;

temp1 501;
temp1 502;
temp1 503;
temp1 504;

temp1 601;
temp1 603;
temp1 604;
temp1 605;
temp1 606;
temp1 608;
temp1 610;

temp1 701;
temp1 702;
temp1 703;

temp1 801;
temp1 802;
temp1 804;
temp1 805;
temp1 806;

temp1 901;
temp1 902;
temp1 904;
temp1 905;
temp1 906;

temp1 1102;
temp1 1103;
temp1 1104;
temp1 1105;

temp1 1201;
temp1 1202;
temp1 1204;
temp1 1205;
temp1 1206;
temp1 1302;


log close;





