#delimit ;
cap log close;
log using do\inv5,replace;
**********************************************************;
*                                                        *;
*    Name     : inv5.DO                V : 01            *;
*    Date     : Jan 05, 1996                             *;
*    Infiles  :                                          *;
*    Outfiles :                                          *;
*                                                        *;
*    OBJECTIVE: investigation - find out median deprec. rates          *;
**********************************************************;
clear;
set more 1;
set log linesize 160;
set display linesize 160;

use sec052a;

**fix data - 3 cases
;
replace bassown=1 if bassown==0&bassvalu~=.;

keep if bassown==1;

qui by hhnum: gen N = _N;
qui by hhnum: gen a = bassacqy if _n==1;
egen yearfir=sum(a), by(hhnum);
egen yearsum=sum(bassacqy), by(hhnum);

keep if N==1|yearfir==yearsum/N;  

egen b=sum(bassvalu), by(hhnum);
egen nfa_oth = mean(b), by (hhnum);
drop a b N; 

sort hhnum;
qui by hhnum: keep if _n==1;

merge hhnum using sec052b;
tab _merge;
keep if _merge==3;

/*
**cacluate straight-line deprec. rates
;
gen     dep = ((bequip1-nfa_oth)/1)/bequip1 if bassacqy==96;
replace dep = ((bequip2-nfa_oth)/2)/bequip2 if bassacqy==95;
replace dep = ((bequip3-nfa_oth)/3)/bequip3 if bassacqy==94;
replace dep = ((bequip4-nfa_oth)/4)/bequip4 if bassacqy==93;

**only 68 of *all* hhs had a capital transaction in past 4 years.  Of these
  68, 52 have only one asset or else acquired all assets in same year.  Therefore
  need to be able 
*/

*count if bequip1>0|bequip2>0|bequip3>0|bequip4>0|
         bequips1>0|bequips2>0|bequips3>0|bequips4>0;
     


save tempinv, replace;

/*
gen     dep=1-(nfa_oth/bequip1)       if bassacqy==96;
replace dep=1-(nfa_oth/bequip2)^(1/2) if bassacqy==95;
replace dep=1-(nfa_oth/bequip3)^(1/3) if bassacqy==94;
*/
*sum bassvalu;








log close;


