#delimit ;
cap log close;
log using do\inv6,replace;
**********************************************************;
*                                                        *;
*    Name     : inv6.DO                V : 01            *;
*    Date     : Jan 05, 1996                             *;
*    Infiles  :                                          *;
*    Outfiles :                                          *;
*                                                        *;
*    OBJECTIVE: investigation                            *;
**********************************************************;
clear;
set more 1;
set log linesize 160;
set display linesize 160;

use corehh;
keep hhnum settlm;

merge hhnum using sec093;
drop if _merge==2;
save temptv, replace;

cap program drop temp1;
program define temp1;

      local i 1;
      while `i' ~= 18 {; 
                  use temptv, clear;
                  gen a=1 if hduritem==`i'&hdurown==1;
                  egen own`i'=mean(a), by(hhnum);
                  replace own`i'=0 if own`i'==.;
                  sort hhnum;
                  qui by hhnum: keep if _n==1;
                  sort settlm;
                  by settlm: sum own`i';
                  local i = `i' + 1;
                  };

end;

*temp1;

use temptv, clear;
gen a=1 if hduritem==9&hdurown==1;
gen b=1 if hduritem==10&hdurown==1;
gen c=hduracqy if hduritem==9;
gen d=hduracqy if hduritem==10;
egen tv=mean(a), by(hhnum);
egen vcr=mean(b), by(hhnum);
egen tvyr=mean(c), by(hhnum);
egen vcryr=mean(d), by(hhnum);
sort hhnum;
qui by hhnum: keep if _n==1;

replace tv=0 if tv==.;
replace vcr=0 if vcr==.;

sort settlm;
by settlm: sum tv vcr;
by settlm: sum tvyr if tv==1, det;
by settlm: sum vcryr if vcr==1, det;




log close;


