#delimit ;
cap log close;
log using do\machines,replace;
*************************************************************;
*                                                           *;
*    Name     : MACHINES.DO                                 *;
*    OBJECTIVE: Farm assets (machinery) data for            *;
*               predicted expenditure regressions           *;
*************************************************************;
clear;
set more 1;
set log linesize 160;
set display linesize 160;

            ***NOTE  - NOT ABLE TO GET HISTORICAL DATA***
;
use hhnum bashki region using corehh;

merge hhnum using sec063;
tab _merge;
drop if _merge==2; *incomplete questionnaires;
drop _merge;

replace agaspown=100 if agaspown==0|agaspown==.; *'0' - q answered incorrectly?;
replace agasvalu=agasvalu*(agaspown/100);
egen fa_mac=sum(agasvalu), by(hhnum);

sort hhnum;
qui by hhnum: keep if _n==1;

replace fa_mac=0 if fa_mac==.;

gen fa_mac95=fa_mac;
gen fa_mac94=fa_mac;
gen fa_mac93=fa_mac;
gen fa_mac92=fa_mac;

label var fa_mac   "val. of farm machinery";
label var fa_mac95 "val. of farm machinery - 1995";
label var fa_mac94 "val. of farm machinery - 1994";
label var fa_mac93 "val. of farm machinery - 1993";
label var fa_mac92 "val. of farm machinery - 1992";

keep hhnum fa_mac*;
sort hhnum;
save machines, replace;

log close;


