#delimit;
capture log close;
log using do/nfoodout,replace;
****************************************************************;
*                                                              *;
*    Name    : NFOODOUT.DO                                    *;
*    OBJECTIVE: Look at non-food quantities data and outlier   *;
*               adjustment                                     *;
****************************************************************;
clear;
set more 1;
set log linesize 132;
set display linesize 132;

cap program drop temp1;
program define temp1;

  use nfdexp, clear;

  merge hhnum using new; *hhs that were in the new data;
  drop _merge;
  sort hhnum;
  merge hhnum using new2; *hhs with hhsize<hhsize2;

  replace `1'=. if `1'==0; *just temporary;
  gen `1'p=`1'/hhsize;

  egen mean1=mean(`1'p);
  egen sd1=sd(`1'p);

  gen upper1=mean1+sd1*3;
  gen upper2=mean1*5;
  gen outlier=1 if (`1'p>upper1 & `1'p~=.) & 
                   (`1'p>upper2 & `1'p~=.);

  keep hhnum hhsize bashki `2' `1' `1'p upper1 upper2 outlier new new2;
  sum `1'p, det; *summary of per capita item (only over posive observations);
  list if outlier==1 & (new==1|new2==1), nodisp noobs;

end;

temp1 cigar mcigare;
temp1 enter menterta;
temp1 pers mpersona;
temp1 paper mpapers;
temp1 car mcarcost;
temp1 trans motransp;
temp1 wash mwashpow;
temp1 child mchicare;
temp1 dues mdues;
temp1 kitch ykithous;
temp1 repair yrepair;
temp1 linens ylinens;
temp1 furn yfurapll;
temp1 constr yconstru;
temp1 shoes yshoes;
temp1 cloths ycloths;
temp1 mater yclothma;
temp1 health health;
temp1 health1 yhealth;
temp1 health2 health2;
temp1 cerem ycerimo;
temp1 holid yholiday;
temp1 luxur yluxury;
temp1 rent2 rent2;
temp1 elect mxelect;
temp1 gas mxgas;
temp1 coal mxcoal;
temp1 keros mxkeros;
temp1 wood mxwood;
temp1 oenerg mxoenerg;
temp1 waterx mxwater;
temp1 waste mxwaste;
temp1 trash mxtrash;
temp1 condo mdcondo;
temp1 phone teleppay;
temp1 remout remout;

cap program drop temp1;
program define temp1;

  use durable, clear;

  merge hhnum using new; *hhs that were in the new data;
  drop _merge;
  sort hhnum;
  merge hhnum using new2; *hhs with hhsize<hhsize2;

  replace `1'=. if `1'==0; *just temporary;
  gen `1'p=`1'/hhsize;

  egen mean1=mean(`1'p);
  egen sd1=sd(`1'p);

  gen upper1=mean1+sd1*3;
  gen upper2=mean1*5;
  gen outlier=1 if (`1'p>upper1 & `1'p~=.) & 
                   (`1'p>upper2 & `1'p~=.);

  keep hhnum hhsize bashki `2' `1' `1'p upper1 upper2 outlier new new2;
  sum `1'p, det; *summary of per capita item (only over posive observations);
  list if outlier==1 & (new==1|new2==1), nodisp noobs;

end;

temp1 durflow durflow;





log close;





