#delimit ;
cap log close;
log using do\pexpan,replace;
*************************************************************;
*                                                           *;
*    Name     : PEXPAN.DO                                  *;
*    OBJECTIVE: Predicted expenditure ananlysis             *;
*************************************************************;
clear;
set more 1;
set log linesize 160;
set display linesize 160;

use predexp;

*gen d_absdom=abs_dom>0;
*gen d_absos =abs_os>0;

*gen d_orc_v=orc_v>0;
*gen d_pas_v=pas_v>0;
*gen d_cro_v=cro_v>0;

egen land_ov=rsum(orc_ov pas_ov cro_ov);
egen land_oa=rsum(orc_oa pas_oa cro_oa);
egen anim_v=rsum(anim_l_v anim_m_v anim_s_v);
egen anim=rsum(anim_lg anim_med anim_sm);

gen orc_unit=round(orc_ov/orc_oa,0.1); *have to do this b/c of comparisons later;
gen pas_unit=round(pas_ov/pas_oa,0.1);
gen cro_unit=round(cro_ov/cro_oa,0.1); 


/*
keep if orc_unit~=.;
keep if pas_unit~=.|cro_unit~=.;
gen     dum=1 if (orc_unit<cro_unit)&(orc_unit<pas_unit); *orc least valued;
replace dum=2 if (orc_unit==cro_unit&pas_unit==.)|
                 (orc_unit==pas_unit&cro_unit==.)| 
                 (orc_unit==pas_unit&orc_unit==cro_unit); *orc equally valued to other land;
replace dum=3 if (orc_unit>cro_unit&pas_unit==.)|
                 (orc_unit>pas_unit&cro_unit==.)| 
                 (orc_unit>pas_unit&orc_unit>cro_unit); **orc more highly valued than other land;      
replace dum=9 if dum==.;  

tab dum;
*/

/*
gen orc_a_ir=orc_oa*orc_irr;
gen pas_a_ir=pas_oa*pas_irr;
gen cro_a_ir=cro_oa*cro_irr;

regress orc_ov orc_oa orc_a_ir;
regress pas_ov pas_oa pas_a_ir;
regress cro_ov cro_oa cro_a_ir;
*/

/*
**check of the land ownership 'accounting'
;
use hhnum using corehh, clear;

merge hhnum using sec062b;
tab _merge;
keep if _merge==3;
drop _merge;
sort hhnum;

merge hhnum using sec062c;
tab _merge;
keep if _merge==3;
drop _merge;

gen orc_96=alowna1;
gen pas_96=alowna2;
gen cro_96=alowna3;

gen orcb_96=alobt961;
gen pasb_96=alobt962;
gen crob_96=alobt963;
gen orcb_95=alobt951;
gen pasb_95=alobt952;
gen crob_95=alobt953;
gen orcb_94=alobt941;
gen pasb_94=alobt942;
gen crob_94=alobt943;
gen orcb_93=alobt931;
gen pasb_93=alobt932;
gen crob_93=alobt933;

gen orcs_96=alsol961;
gen pass_96=alsol962;
gen cros_96=alsol963;
gen orcs_95=alsol951;
gen pass_95=alsol952;
gen cros_95=alsol953;
gen orcs_94=alsol941;
gen pass_94=alsol942;
gen cros_94=alsol943;
gen orcs_93=alsol931;
gen pass_93=alsol932;
gen cros_93=alsol933;


**land distribution from state
;
gen orcd_96=0;
replace orcd_96=alcoopa1 if alcoopy1==96;
gen pasd_96=0;
replace pasd_96=alcoopa2 if alcoopy2==96;
gen crod_96=0;
replace crod_96=alcoopa3 if alcoopy3==96;

gen orcd_95=0;
replace orcd_95=alcoopa1 if alcoopy1==95;
gen pasd_95=0;
replace pasd_95=alcoopa2 if alcoopy2==95;
gen crod_95=0;
replace crod_95=alcoopa3 if alcoopy3==95;

gen orcd_94=0;
replace orcd_94=alcoopa1 if alcoopy1==94;
gen pasd_94=0;
replace pasd_94=alcoopa2 if alcoopy2==94;
gen crod_94=0;
replace crod_94=alcoopa3 if alcoopy3==94;

gen orcd_93=0;
replace orcd_93=alcoopa1 if alcoopy1<=93;
gen pasd_93=0;
replace pasd_93=alcoopa2 if alcoopy2<=93;
gen crod_93=0;
replace crod_93=alcoopa3 if alcoopy3<=93;


gen orc_95=orc_96-orcd_96-orcb_96+orcs_96;
gen orc_94=orc_95-orcd_95-orcb_95+orcs_95;
gen orc_93=orc_94-orcd_94-orcb_94+orcs_94;
gen orc_92=orc_93-orcd_93-orcb_93+orcs_93;

gen pas_95=pas_96-pasd_96-pasb_96+pass_96;
gen pas_94=pas_95-pasd_95-pasb_95+pass_95;
gen pas_93=pas_94-pasd_94-pasb_94+pass_94;
gen pas_92=pas_93-pasd_93-pasb_93+pass_93;

gen cro_95=cro_96-crod_96-crob_96+cros_96;
gen cro_94=cro_95-crod_95-crob_95+cros_95;
gen cro_93=cro_94-crod_94-crob_94+cros_94;
gen cro_92=cro_93-crod_93-crob_93+cros_93;

gen dorc_96=0;
replace dorc_96=1 if orc_96~=orc_95;
gen dorc_95=0;
replace dorc_95=1 if orc_95~=orc_94;
gen dorc_94=0;
replace dorc_94=1 if orc_94~=orc_93;
gen dorc_93=0;
replace dorc_93=1 if orc_93~=orc_92;

gen dpas_96=0;
replace dpas_96=1 if pas_96~=pas_95;
gen dpas_95=0;
replace dpas_95=1 if pas_95~=pas_94;
gen dpas_94=0;
replace dpas_94=1 if pas_94~=pas_93;
gen dpas_93=0;
replace dpas_93=1 if pas_93~=pas_92;

gen dcro_96=0;
replace dcro_96=1 if cro_96~=cro_95;
gen dcro_95=0;
replace dcro_95=1 if cro_95~=cro_94;
gen dcro_94=0;
replace dcro_94=1 if cro_94~=cro_93;
gen dcro_93=0;
replace dcro_93=1 if cro_93~=cro_92;
*/






log close;


