#delimit ;
cap log close;
log using do\pexpdat,replace;
*************************************************************;
*                                                           *;
*    Name     : PEXPDAT.DO                                  *;
*    OBJECTIVE: Aggregate data for                          *;
*               Predicted expenditure regressions           *;
*************************************************************;
clear;
set more 1;
set log linesize 160;
set display linesize 160;

use demog;

merge hhnum using educ;
drop _merge;
sort hhnum;

merge hhnum using nfassets;
drop _merge;
sort hhnum;

merge hhnum using land;
drop _merge;
sort hhnum;

merge hhnum using machines;
drop _merge;
sort hhnum;

merge hhnum using livestck;
drop _merge;
sort hhnum;

merge hhnum using neexp;
drop _merge;
sort hhnum;

merge hhnum using lforce;
drop _merge;
sort hhnum;

**get locational variables
;
merge hhnum using corehh;

gen empshare = emp/(adultm+adultf+elderm+elderf);
label variable empshare "share (present) adult hh mem. emp.";

drop nfaac*;
keep hhnum settlm region bashki commutem hhsize 
     ychild* ochil* adult*  elder* ov60* ab_child abs_work abs_oth
     prim* middl* secon* high*
     nfa*
     orc_o* pas_o* cro_o* orc_irr pas_irr cro_irr land* 
     fa_mac*
     anim*
     pen* ub* NE* tothhx* exp*
     emp* absent*;
order hhnum settlm region bashki commutem hhsize 
      ychild ychild95 ychild94 ychild93 ochilm ochilm95 ochilm94 ochilm93
      ochilf ochilf95 ochilf94 ochilf93 adultm adultm95 adultm94 adultm93
      adultf adultf95 adultf94 adultf93 elderm elderm95 elderm94 elderm93
      elderf elderf95 elderf94 elderf93 ov60* 
      ab_child abs_work abs_oth
      primm primm95 primm94 primm93 primf primf95 primf94 primf93 
      middlm middlm95 middlm94 middlm93 middlf middlf95 middlf94 middlf93 
      seconm seconm95 seconm94 seconm93 seconf seconf95 seconf94 seconf93 
      highm  highm95 highm94 highm93 highf highf95 highf94 highf93 
      nfaveh nfaveh95 nfaveh94 nfaveh93 nfaoth nfaoth95 nfaoth94 nfaoth93 
      nfainv nfainv95 nfainv94 nfainv93 
      orc_oa orc_oa95 orc_oa94 orc_oa93 orc_oa92 
      pas_oa pas_oa95 pas_oa94 pas_oa93 pas_oa92 
      cro_oa cro_oa95 cro_oa94 cro_oa93 cro_oa92 
      landoa landoa95 landoa94 landoa93 landoa92 
      orc_ov orc_ov95 orc_ov94 orc_ov93 orc_ov92 
      pas_ov pas_ov95 pas_ov94 pas_ov93 pas_ov92 
      cro_ov cro_ov95 cro_ov94 cro_ov93 cro_ov92 
      landov landov95 landov94 landov93 landov92 
      orc_irr pas_irr cro_irr orc_ovu pas_ovu cro_ovu 
      fa_mac fa_mac95 fa_mac94 fa_mac93 fa_mac92 
      animl animl95 animl94 animl93 
      animm animm95 animm94 animm93 
      anims anims95 anims94 anims93 
      animlv animlv95 animlv94 animlv93 
      animmv animmv95 animmv94 animmv93 
      animsv animsv95 animsv94 animsv93 
      anim anim95 anim94 anim93 
      animv animv95 animv94 animv93 
      pen* ub* NE* tothhx* exp* 
      emp* absent*; 
sort hhnum;

save pexpdat, replace;

log close;


