#delimit ;
set trace off;
cap log close;
log using do\pexpfit,replace;
*************************************************************;
*                                                           *;
*    Name     : PEXPFIT.DO                                  *;
*    OBJECTIVE: Predicted expenditure regressions - fit     *;
*************************************************************;
clear;
set more 1;
set log linesize 160;
set display linesize 160;

use pexpdat;

fit tothhx1 
            ychild ochild_m ochild_f adult_m adult_f elder_m elder_f
            absent 
            prim_m prim_f middle_m middle_f second_m second_f 
            higher_m higher_f
            pensiony
            nfa_veh nfa_oth nfa_inv
            orc_ov pas_ov cro_ov
            fa_mach
            anim_l_v anim_m_v anim_s_v
            emp_n
            if settlm==0;
dfbcoeff hhnum;
drop DF* d_*;

fit tothhx1 
           ychild ochild_m ochild_f adult_m adult_f elder_m elder_f
           absent 
           prim_m prim_f middle_m middle_f second_m second_f 
           higher_m higher_f
           pensiony
           nfa_veh nfa_oth nfa_inv
           land_ov
           fa_mach
           anim_v
           emp_n
           if settlm==1;

dfbcoeff hhnum;
drop DF* d_*;



/*
**one method of checking fit
;
predict ehat1 if settlm==0, res;
sum ehat1;
local stdev=sqrt(_result(4));
local mean=_result(3);
list if settlm==0 & (ehat1<(`mean'-3*`stdev')|ehat1>(`mean'+3*`stdev'));
gen dum1=1 if settlm==0 & (ehat1<(`mean'-3*`stdev')|ehat1>(`mean'+3*`stdev'));

*rvfplot, s([hhnum]) border yline(0);

avplot ychild,  s([hhnum]) border;
avplot ochild_m,  s([hhnum]) border;
avplot ochild_f,  s([hhnum]) border;
avplot adult_m,  s([hhnum]) border;
avplot adult_f,  s([hhnum]) border;
avplot abs_dom,  s([hhnum]) border;
avplot abs_os,  s([hhnum]) border;
avplot prim_m,  s([hhnum]) border;
avplot prim_f,  s([hhnum]) border;
avplot middle_m,  s([hhnum]) border;
avplot middle_f,  s([hhnum]) border;
avplot second_m,  s([hhnum]) border;
avplot second_f,  s([hhnum]) border;
avplot higher_m,  s([hhnum]) border;
avplot higher_f,  s([hhnum]) border;
avplot nfa_veh,  s([hhnum]) border;
avplot nfa_oth,  s([hhnum]) border;
avplot nfa_inv,  s([hhnum]) border;
avplot orc_v,  s([hhnum]) border;
avplot pas_v,  s([hhnum]) border;
avplot cro_v,  s([hhnum]) border;
avplot fa_mach,  s([hhnum]) border;
avplot anim_l_v,  s([hhnum]) border;
avplot anim_m_v,  s([hhnum]) border;
avplot anim_s_v,  s([hhnum]) border;
*/



log close;


