#delimit ;
cap log close;
log using do\pexpreg,replace;
*************************************************************;
*                                                           *;
*    Name     : PEXPREG.DO                                  *;
*    OBJECTIVE: Predicted expenditure regressions           *;
*************************************************************;
clear;
set more 1;
set log linesize 160;
set display linesize 160;

use pexpdat;

*gen orc_unit=round(orc_ov/orc_oa,0.1); *have to do this b/c of comparisons later;
*gen pas_unit=round(pas_ov/pas_oa,0.1);
*gen cro_unit=round(cro_ov/cro_oa,0.1); 

regress tothhx1
        ychild ochilm ochilf adultm adultf elderm elderf
        absent 
        primm primf middlm middlf seconm seconf highm highf
        penoar
        nfaveh nfaoth nfainv
        orc_ov pas_ov cro_ov
        fa_mac
        animlv animmv animsv
        emp
        if settlm==0;
predict pexp_0 if settlm==0;

regress tothhx1
        ychild ochilm ochilf adultm adultf elderm elderf
        absent 
        primm primf middlm middlf seconm seconf highm highf
        penoar
        nfaveh nfaoth nfainv
        landov
        fa_mac
        animv
        emp
        if settlm==1;
predict pexp_1 if settlm==1;

gen predex=pexp_0;
replace predex=pexp_1 if settlm==1;
drop pexp_0 pexp_1;

corr predex tothhx1;

regress exp_NE
        ychild ochilm ochilf adultm adultf elderm elderf
        absent 
        primm primf middlm middlf seconm seconf highm highf
        penoar
        nfaveh nfaoth nfainv
        orc_ov pas_ov cro_ov
        fa_mac
        animlv animmv animsv
        emp
        if settlm==0;
predict pexpNE_0 if settlm==0;

regress exp_NE
        ychild ochilm ochilf adultm adultf elderm elderf
        absent 
        primm primf middlm middlf seconm seconf highm highf
        penoar
        nfaveh nfaoth nfainv
        landov
        fa_mac
        animv
        emp
        if settlm==1;
predict pexpNE_1 if settlm==1;

gen predexNE=pexpNE_0;
replace predexNE=pexpNE_1 if settlm==1;
drop pexpNE_0 pexpNE_1;

corr predexNE exp_NE;


keep hhnum tothhx1 predex exp_NE predexNE;
label var predex   "predicted total expenditure";
label var predexNE "predicted (total expenditure less NE)";
sort hhnum;
save predexp, replace;


log close;


