#delimit ;
cap log close;
log using do\reg95u,replace;
**********************************************************;
*                                                        *;
*    Name     : REG95U.DO                                *;
*    OBJECTIVE: 1995 Receipt of NE regressions - urban 95*;
*                                                        *;
**********************************************************;
clear;
set more 1;
set log linesize 160;
set display linesize 160;

use nereg;
***RURAL 1995: REGRESSIONS USING 'FULL' EXPENDITURE (BASE MODEL)***;

***VERSION 1***;
areg    NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem

        if settlm==1,
        absorb(bashki);

***VERSION 2***;
areg    NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem
        pexp1u95

        if settlm==1,
        absorb(bashki);

***VERSION 3***;
areg    NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem
        pexp1u95 /*exp1_NE*/

        if settlm==1,
        absorb(bashki);

***VERSION 4***;
regress NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem
        pexp1u95 /*exp1_NE*/
        NE_pf95

        if settlm==1;

***VERSION 1A (net entitlement included)***;
areg    NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem
        en2upl95

        if settlm==1,
        absorb(bashki);

***VERSION 2A (net entitlement included)***;
areg    NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem
        pexp1u95
        en2upl95

        if settlm==1,
        absorb(bashki);

***VERSION 3A (net entitlement included)***;
areg    NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem
        pexp1u95 /*exp1_NE*/
        en2upl95

        if settlm==1,
        absorb(bashki);

***VERSION 4A (net entitlement included)***;
regress NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem
        pexp1u95 /*exp1_NE*/
        NE_pf95
        en2upl95

        if settlm==1;


use nereg, clear;
***RURAL 1995: REGRESSIONS USING EXPENDITURE LESS DURABLE FLOW***;

***VERSION 1***;
areg    NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem

        if settlm==1,
        absorb(bashki);

***VERSION 2***;
areg    NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem
        pexp2u95

        if settlm==1,
        absorb(bashki);

***VERSION 3***;
areg    NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem
        pexp2u95 /*exp2_NE*/

        if settlm==1,
        absorb(bashki);

***VERSION 4***;
regress NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem
        pexp2u95 /*exp2_NE*/
        NE_pf95

        if settlm==1;

***VERSION 1A (net entitlement included)***;
areg    NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem
        en2upl95

        if settlm==1,
        absorb(bashki);

***VERSION 2A (net entitlement included)***;
areg    NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem
        pexp2u95
        en2upl95

        if settlm==1,
        absorb(bashki);

***VERSION 3A (net entitlement included)***;
areg    NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem
        pexp2u95 /*exp2_NE*/
        en2upl95

        if settlm==1,
        absorb(bashki);

***VERSION 4A (net entitlement included)***;
regress NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem
        pexp2u95 /*exp2_NE*/
        NE_pf95
        en2upl95

        if settlm==1;

use nereg, clear;
***RURAL 1995: REGRESSIONS USING EXPENDITURE LESS DURABLE FLOW AND IMPUTED RENT***;

***VERSION 1***;
areg    NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem

        if settlm==1,
        absorb(bashki);

***VERSION 2***;
areg    NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem
        pexp3u95

        if settlm==1,
        absorb(bashki);

***VERSION 3***;
areg    NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem
        pexp3u95 /*exp3_NE*/

        if settlm==1,
        absorb(bashki);

***VERSION 4***;
regress NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem
        pexp3u95 /*exp3_NE*/
        NE_pf95

        if settlm==1;

***VERSION 1A (net entitlement included)***;
areg    NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem
        en2upl95

        if settlm==1,
        absorb(bashki);

***VERSION 2A (net entitlement included)***;
areg    NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem
        pexp3u95
        en2upl95

        if settlm==1,
        absorb(bashki);

***VERSION 3A (net entitlement included)***;
areg    NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem
        pexp3u95 /*exp3_NE*/
        en2upl95

        if settlm==1,
        absorb(bashki);

***VERSION 4A (net entitlement included)***;
regress NE95
        ychild95 ochilm95 ochilf95 adultm95 adultf95 elderm95 elderf95
        penoa95 penot95
        landov95
        animv95
        empwag95
        commutem
        pexp3u95 /*exp3_NE*/
        NE_pf95
        en2upl95

        if settlm==1;

log close;
