#delimit ;
cap log close;
log using do\reghet96,replace;
************************************************;
*                                              *;
*    Name     : REGHET96.DO                    *;
*    OBJECTIVE: Test of heteroskedasticity     *;
*                                              *;
************************************************;
clear;
set more 1;
set log linesize 160;
set display linesize 160;
set matsize 150;


***Lagrange Multiplier test***;
***RURAL 1996: REGRESSIONS USING 'FULL' EXPENDITURE (BASE MODEL)***;

use nereg, clear;

***VERSION 4***;
*fit NE
        ychild ochilm ochilf adultm adultf elderm elderf
        penoa penot
        orc_ov pas_ov cro_ov
        animlv animmv animsv
        empwag
        commutem
        pexp1r exp1_NE
        NE_pf

        if settlm==0;

*rvfplot, border yline(0);
*predict res if settlm==0, residuals;

*kdensity res if settlm==0, nogr g(x0 rdens);


qui tab bashki, gen(badum);
***VERSION 3***;
fit    NE
        ychild ochilm ochilf adultm adultf elderm elderf
        penoa penot
        orc_ov pas_ov cro_ov
        animlv animmv animsv
        empwag
        commutem
        pexp1r exp1_NE badum*

        if settlm==0;

predict res if settlm==0, residuals;
predict NEpred if settlm==0;

gen v=res^2;

sca sighat = _result(9);
sca sighat2 = sighat^2;
sca list sighat;

gen vtrans = v/sighat2-1;
sum vtrans, det;

*list hhnum vtrans res NE NEpred if vtrans>20 & vtrans~=.;
*list if vtrans>20 & vtrans~=.;

sktest res;

**1st Z;
regress vtrans
        ychild ochilm ochilf adultm adultf elderm elderf
        penoa penot
        orc_ov pas_ov cro_ov
        animlv animmv animsv
        empwag
        commutem
        pexp1r exp1_NE
        NE_pf

        if settlm==0;

sca LM=_result(2)/2;
mat V = get(VCE);
sca q = colsof(V)-1;
sca pval=chiprob(q,LM);
di in gr "Chi-sq(" q ") = " in ye %8.2f LM;
di in gr "Prob > Chi-sq = " in ye %8.3f pval;

**2nd Z;
regress vtrans badum*

        if settlm==0;

sca LM=_result(2)/2;
mat V = get(VCE);
sca q = colsof(V)-1;
sca pval=chiprob(q,LM);
di in gr "Chi-sq(" q ") = " in ye %8.2f LM;
di in gr "Prob > Chi-sq = " in ye %8.3f pval;

**combined Z;
regress    vtrans
        ychild ochilm ochilf adultm adultf elderm elderf
        penoa penot
        orc_ov pas_ov cro_ov
        animlv animmv animsv
        empwag
        commutem
        pexp1r exp1_NE badum*

        if settlm==0;

sca LM=_result(2)/2;
mat V = get(VCE);
sca q = colsof(V)-1;
sca pval=chiprob(q,LM);
di in gr "Chi-sq(" q ") = " in ye %8.2f LM;
di in gr "Prob > Chi-sq = " in ye %8.3f pval;


***F-test***;
***RURAL 1996: REGRESSIONS USING 'FULL' EXPENDITURE (BASE MODEL)***;
use nereg, clear;

***VERSION 4***;
*fit NE
        ychild ochilm ochilf adultm adultf elderm elderf
        penoa penot
        orc_ov pas_ov cro_ov
        animlv animmv animsv
        empwag
        commutem
        pexp1r exp1_NE
        NE_pf

        if settlm==0;

qui tab bashki, gen(badum);
***VERSION 3***;
fit    NE
        ychild ochilm ochilf adultm adultf elderm elderf
        penoa penot
        orc_ov pas_ov cro_ov
        animlv animmv animsv
        empwag
        commutem
        pexp1r exp1_NE badum*

        if settlm==0;

predict res if settlm==0, residuals;

gen v=res^2;

sca sighat = _result(9);
sca sighat2 = sighat^2;

gen vtrans = v - sighat2;
sum vtrans, det;

*list hhnum vtrans res if vtrans>7000000 & vtrans~=.;

sktest res;

**1st Z;
regress vtrans
        ychild ochilm ochilf adultm adultf elderm elderf
        penoa penot
        orc_ov pas_ov cro_ov
        animlv animmv animsv
        empwag
        commutem
        pexp1r exp1_NE
        NE_pf

        if settlm==0;

**2nd Z;
regress vtrans badum*

        if settlm==0;

**combined Z;
regress    vtrans
        ychild ochilm ochilf adultm adultf elderm elderf
        penoa penot
        orc_ov pas_ov cro_ov
        animlv animmv animsv
        empwag
        commutem
        pexp1r exp1_NE badum*

        if settlm==0;


***Huber estimates -- ***;
***RURAL 1996: REGRESSIONS USING 'FULL' EXPENDITURE (BASE MODEL)***;

use nereg, clear;

***VERSION 3***;
sort bashki;
regress NE
        ychild ochilm ochilf adultm adultf elderm elderf
        penoa penot
        orc_ov pas_ov cro_ov
        animlv animmv animsv
        empwag
        commutem
        pexp1r exp1_NE

        if settlm==0, robust;
*rvfplot, border yline(0);

fit NE
        ychild ochilm ochilf adultm adultf elderm elderf
        penoa penot
        orc_ov pas_ov cro_ov
        animlv animmv animsv
        empwag
        commutem
        pexp1r exp1_NE

        if settlm==0, robust cluster(bashki);
rvfplot, border yline(0);


log close;
