#delimit ;
cap log close;
log using do\rosteran,replace;
*************************************************************;
*                                                           *;
*    Name     : ROSTERAN.DO                                 *;
*    OBJECTIVE: Analysis of roster data                     *;
*                                                           *;
*************************************************************;
clear;
set more 1;
set log linesize 132;
set display linesize 132;

use coreind;

di _dup(65) "-";
di "Table 1: Age distribution";
di "Alabania 1996 (unweighted), table produced: $S_DATE";
di _dup(65) "-";
tabulate agecat gender, row column cell;
di _dup(65) "-"; di _dup(65) " "; di _dup(65) " ";

di _dup(65) "-";
di "Table 2a: Age distribution (persons absent during last 12 months)";
di "Alabania 1996 (unweighted), table produced: $S_DATE";
di _dup(65) "-";
tabulate agecat gender if absent==1, row column cell;
di _dup(65) "-"; di _dup(65) " "; di _dup(65) " ";

di _dup(65) "-";
di "Table 2b: Age distribution (persons present <= 15 days last month)";
di "Alabania 1996 (unweighted), table produced: $S_DATE";
di _dup(65) "-";
tabulate agecat gender if present==0, row column cell;
di _dup(65) "-"; di _dup(65) " "; di _dup(65) " ";


*check internal consistency regarding absentees;
gen a=0;
replace a=1 if absent==0&present==0;
*above shows that no-one answered "no" to both Q.8&11;
drop a;

sort gender;
di _dup(65) "-";
di "Table 3: Mean number months absent in last 12";
di "Alabania 1996 (unweighted), table produced: $S_DATE";
di _dup(65) "-";
by gender: sum absmonth;
di _dup(65) "-"; di _dup(65) " "; di _dup(65) " ";

di _dup(65) "-";
di "Table 4: Reason for absence during last 12 months";
di "Alabania 1996 (unweighted), table produced: $S_DATE";
di _dup(65) "-";
tab absreas gender, row column cell;
di _dup(65) "-"; di _dup(65) " "; di _dup(65) " ";

log close;
